libname marfin 'c:\data\MRFSS\MARFIN';
data marfin.species; set marfin.addon2000;
if mode = 1 then shore = 1; else shore = 0;
if mode = 2 then charter = 1; else charter = 0;
if sub_reg = 7 then gulf = 1; else gulf = 0;
if wave = 3 then wave3 = 1; else wave3 = 0;
if wave = 4 then wave4 = 1; else wave4 = 0;
if wave = 5 then wave5 = 1; else wave5 = 0;
if wave = 6 then wave6 = 1; else wave6 = 0;
if st = 1 then al = 1; else al = 0;
if st = 12 and sub_reg = 6 then flg = 1; else flg = 0;
if st = 12 and sub_reg = 7 then flsa = 1; else flsa = 0;
if st = 13 then ga = 1; else ga = 0;
if st = 22 then la = 1; else la = 0;
if st = 28 then ms = 1; else ms = 0;
if st = 37 then nc = 1; else nc = 0;
if st = 45 then sc = 1; else sc = 0; 
yearfish2 = yearfish*yearfish;
al3 = al*wave3; al4 = al*wave4; al5 = al*wave5; al6 = al*wave6;
ga3 = ga*wave3; ga4 = ga*wave4; ga5 = ga*wave5; ga6 = ga*wave6;
la3 = la*wave3; la4 = la*wave4; la5 = la*wave5; la6 = la*wave6;
ms3 = ms*wave3; ms4 = ms*wave4; ms5 = ms*wave5; ms6 = ms*wave6;
nc3 = nc*wave3; nc4 = nc*wave4; nc5 = nc*wave5; nc6 = nc*wave6;
sc3 = sc*wave3; sc4 = sc*wave4; sc5 = sc*wave5; sc6 = sc*wave6;
flg3 = flg*wave3; flg4 = flg*wave4; flg5 = flg*wave5; flg6 = flg*wave6;
flsa3 = flsa*wave3; flsa4 = flsa*wave4; flsa5 = flsa*wave5; flsa6 = flsa*wave6;
lnhrsf=log(hrsf);
proc means n mean maxdec=2;
var fish1-fish12 target yearfish boatown shore charter ffdays2 hrsf lnhrsf;
run;
proc means;
var al3-al6 ga3-ga6 la3-la6 ms3-ms6 nc3-nc6 sc3-sc6 flg3-flg6 flsa3-flsa6;
run;
proc freq;
tables st*wave / norow nocol nopercent;
run;
proc reg;
model ffdays2 = ffdays12 yearfish boatown shore charter gulf wave4 wave5 wave6;
output out=x p=ffdays2hat;
run;
proc means n mean maxdec =2;
var fish1-fish10 catch1-catch10 target mean1-mean10;
run;
proc genmod;
model fish5 = mean5 yearfish boatown shore charter ffdays2 wave4 wave5 wave6 gulf
hrsf / dist = nb;
run;
proc genmod;
model fish6 = mean6 yearfish boatown charter ffdays2 wave4 wave5 wave6 gulf
hrsf / dist = nb;
run;
proc genmod;
model fish7 = mean7 yearfish boatown shore charter ffdays2 wave4 wave5 wave6 gulf
hrsf / dist = nb;
run;
proc genmod;
model fish8 = mean8 yearfish boatown shore charter ffdays2 wave4 wave5 wave6 gulf
hrsf / dist = nb;
run;
proc genmod;
model fish9 = mean9 yearfish boatown shore charter ffdays2 wave4 wave5 wave6 gulf
hrsf / dist = nb;
run;
proc genmod;
model fish10 = mean10 yearfish boatown shore charter ffdays2 wave4 wave5 wave6 gulf
hrsf / dist = nb;
run;

proc genmod;
model fish11 = mean11 yearfish boatown charter ffdays2 wave4 wave5 wave6 gulf
hrsf / dist = nb;
run;

proc genmod;
model fish12 = mean12 yearfish boatown charter ffdays2 wave4 wave5 wave6 gulf
hrsf / dist = nb;
run;

proc freq;
tables st*target / norow nocol nopercent;
run;

proc means;
var fish1-fish10;
run;
