libname marfin 'c:\data\MRFSS\MARFIN';
data temp1; set marfin.addon2000;
if mode = 1 then shore = 1; else shore = 0;
if mode = 2 then charter = 1; else charter = 0;
if sub_reg = 7 then gulf = 1; else gulf = 0;
if wave = 3 then wave3 = 1; else wave3 = 0;
if wave = 4 then wave4 = 1; else wave4 = 0;
if wave = 5 then wave5 = 1; else wave5 = 0;
if wave = 6 then wave6 = 1; else wave6 = 0;
if target = 7 then keep = 1; /* king */
if target = 10 then keep = 1; /* spanish */
if target = 4 then keep = 1; /* small */
if keep = 1;
proc means;
run;
proc freq;
tables sub_reg*target st zone2*gulf target;
run;
libname sag2000 'C:\DATA\MRFSS\sag2000';
data temp2; set sag2000.nsites;
addon=1;
libname catch 'c:\data\MRFSS\MARFIN\catch';
data temp3; set catch.hcr_trans;
addon=1;
data mackerel1; merge temp1 temp2 temp3; by addon;
prim1tar=prim1dot;
proc sort; by prim1dot;

libname mrfss 'c:\data\MRFSS';
data names; set mrfss.fishname;
proc sort; by prim1tar;
data mackerel2; merge mackerel1 names; by prim1tar;
if dist1 ne .;
dmin = min(dist1,dist2,dist3,dist4,dist5,dist6,
dist7,dist8,dist9,dist10,dist11,dist12,dist13,dist14,
dist15,dist16,dist17,dist18,dist19,dist20,dist21,dist22,
dist23,dist24,dist25,dist26,dist27,dist28,dist29,dist30,
dist31,dist32,dist33,dist34,dist35,dist37,dist38,dist39,
dist40,dist41,dist42,dist43,dist44,dist45,dist46,dist47,
dist48,dist49,dist50,dist51,dist52,dist53,dist54,dist55,
dist56,dist57,dist58,dist59,dist60,dist61,dist62,dist63,
dist64,dist65,dist66,dist67,dist68,dist69);
if dmin gt 200 then delete; /* n = 52 */
if mode = 3;
proc freq order=freq;
tables prim1nam;
run;
proc freq;
tables zone2*target target shore charter / norow nocol nopercent;
run;
/* determine the choice set by mode */
/*
proc freq;
tables mode*zone2*target / norow nocol nopercent;
run;
*/
data mackerel3; set mackerel2;

if target = 4 then do;
if zone2 = 1 then y1 = 1;
if zone2 = 2 then y2 = 1;
if zone2 = 4 then y3 = 1;
if zone2 = 5 then y4 = 1;
if zone2 = 6 then y5 = 1;
if zone2 = 7 then y6 = 1;
if zone2 = 8 then y7 = 1;
if zone2 = 9 then y8 = 1;
if zone2 = 10 then y9 = 1;
if zone2 = 11 then y10 = 1;
if zone2 = 12 then y11 = 1;
if zone2 = 15 then y12 = 1;
if zone2 = 16 then y13 = 1;
if zone2 = 17 then y14 = 1;
if zone2 = 18 then y15 = 1;
if zone2 = 19 then y16 = 1;
if zone2 = 20 then y17 = 1; 
if zone2 = 21 then y18 = 1; 
if zone2 = 24 then y19 = 1;
if zone2 = 25 then y20 = 1;
if zone2 = 26 then y21 = 1;
if zone2 = 27 then y22 = 1;
if zone2 = 29 then y23 = 1; 
if zone2 = 31 then y24 = 1; 
if zone2 = 33 then y25 = 1;
if zone2 = 37 then y26 = 1;
if zone2 = 43 then y27 = 1;
if zone2 = 47 then y28 = 1;
if zone2 = 49 then y29 = 1; 
if zone2 = 53 then y30 = 1; 
if zone2 = 54 then y31 = 1;
if zone2 = 55 then y32 = 1;
if zone2 = 57 then y33 = 1;
if zone2 = 58 then y34 = 1;
if zone2 = 59 then y35 = 1; 
if zone2 = 60 then y36 = 1; 
if zone2 = 62 then y37 = 1;
if zone2 = 63 then y38 = 1;
if zone2 = 66 then y39 = 1;
if zone2 = 68 then y40 = 1;
end;
if target = 7 then do;
if zone2 = 1 then y41 = 1;
if zone2 = 2 then y42 = 1;
if zone2 = 4 then y43 = 1;
if zone2 = 5 then y44 = 1;
if zone2 = 6 then y45 = 1;
if zone2 = 9 then y46 = 1;
if zone2 = 11 then y47 = 1;
if zone2 = 12 then y48 = 1;
if zone2 = 16 then y49 = 1;
if zone2 = 17 then y50 = 1;
if zone2 = 18 then y51 = 1;
if zone2 = 21 then y52 = 1;
if zone2 = 24 then y53 = 1;
if zone2 = 25 then y54 = 1;
if zone2 = 26 then y55 = 1;
if zone2 = 27 then y56 = 1;
if zone2 = 28 then y57 = 1; 
if zone2 = 29 then y58 = 1;
if zone2 = 30 then y59 = 1;
if zone2 = 31 then y60 = 1;
if zone2 = 33 then y61 = 1;
if zone2 = 34 then y62 = 1;
if zone2 = 35 then y63 = 1; 
if zone2 = 37 then y64 = 1;
if zone2 = 38 then y65 = 1; 
if zone2 = 39 then y66 = 1;
if zone2 = 40 then y67 = 1;
if zone2 = 46 then y68 = 1;
/* if zone2 = 36 ... missing distance data, n=5 */
if zone2 = 53 then y69 = 1;
if zone2 = 57 then y70 = 1;
if zone2 = 60 then y71 = 1;
if zone2 = 63 then y72 = 1;
if zone2 = 66 then y73 = 1;
if zone2 = 68 then y74 = 1; 
if zone2 = 69 then y75 = 1;
end;
if target = 10 then do;
if zone2 = 1 then y76 = 1;
if zone2 = 2 then y77 = 1; 
if zone2 = 4 then y78 = 1;
if zone2 = 7 then y79 = 1;
if zone2 = 10 then y80 = 1;
if zone2 = 12 then y81 = 1;
if zone2 = 13 then y82 = 1;
if zone2 = 15 then y83 = 1; 
if zone2 = 16 then y84 = 1;
if zone2 = 18 then y85 = 1;
if zone2 = 19 then y86 = 1;
if zone2 = 21 then y87 = 1;
if zone2 = 25 then y88 = 1;
if zone2 = 26 then y89 = 1; 
if zone2 = 27 then y90 = 1;
if zone2 = 28 then y91 = 1;
if zone2 = 30 then y92 = 1;
if zone2 = 31 then y93 = 1;
if zone2 = 33 then y94 = 1;
if zone2 = 34 then y95 = 1; 
if zone2 = 35 then y96 = 1;
if zone2 = 38 then y97 = 1;
if zone2 = 53 then y98 = 1;
if zone2 = 57 then y99 = 1;
if zone2 = 58 then y100 = 1; 
if zone2 = 63 then y101 = 1;
if zone2 = 66 then y102 = 1;
if zone2 = 68 then y103 = 1;
if zone2 = 69 then y104 = 1;
end;
sum4= sum(y1,y2,y3,y4,y5,y6,y7,y8,
y9,y10,y11,y12,y13,y14,y15,y16,
y17,y18,y19,y20,y21,y22,y23,y24,
y25,y26,y27,y28,y29,y30,y31,y32,
y33,y34,y35,y36,y37,y38,y39,y40);
sum7 = sum(y41,y42,y43,y44,y45,y46,y47,y48,
y49,y50,y51,y52,y53,y54,y55,y56,
y57,y58,y59,y60,y61,y62,y63,y64,
y65,y66,y67,y68,y69,y70,y71,y72,
y73,y74,y75);
sum10 = sum(y76,y77,y78,y79,y80,y81,y82,y83,y84,y85,y86,y87,y88,y89,y90,y91,y92,
y93,y94,y95,y96,y97,y98,y99,y100,y101,y102,y103,y104);
if sum4 =1 or sum7 = 1 or sum10=1; 
array yx{104} y1-y104;
do i = 1 to 104;
if yx{i} = . then yx{i} = 0;
end;
/*
proc means;
var y1-y34 sum1 sum6;
proc freq;
tables zone2*target / norow nocol nopercent;
run;
*/
d1=dist1;
d2=dist2;
d3=dist4;
d4=dist5;
d5=dist6;
d6=dist7;
d7=dist8;
d8=dist9;
d9=dist10;
d10=dist11;
d11=dist12;
d12=dist15;
d13=dist16;
d14=dist17;
d15=dist18;
d16=dist19;
d17=dist20; 
d18=dist21; 
d19=dist24;
d20=dist25;
d21=dist26;
d22=dist27;
d23=dist29; 
d24=dist31; 
d25=dist33;
d26=dist37;
d27=dist43;
d28=dist47;
d29=dist49; 
d30=dist53; 
d31=dist54;
d32=dist55;
d33=dist57;
d34=dist58;
d35=dist59; 
d36=dist60; 
d37=dist62;
d38=dist63;
d39=dist66;
d40=dist68;
/* king */
d41=dist1;
d42=dist2;
d43=dist4;
d44=dist5;
d45=dist6;
d46=dist9;
d47=dist11;
d48=dist12;
d49=dist16;
d50=dist17;
d51=dist18;
d52=dist21;
d53=dist24;
d54=dist25;
d55=dist26;
d56=dist27;
d57=dist28; 
d58=dist29;
d59=dist30;
d60=dist31;
d61=dist33;
d62=dist34;
d63=dist35; 
d64=dist37;
d65=dist38; 
d66=dist39;
d67=dist40;
d68=dist46;
d69=dist53;
d70=dist57;
d71=dist60;
d72=dist63;
d73=dist66;
d74=dist68; 
d75=dist69;
/* spanish */
d76=dist1  ;
d77=dist2   ; 
d78=dist4   ;
d79=dist7   ;
d80=dist10   ;
d81=dist12   ;
d82=dist13   ;
d83=dist15   ; 
d84=dist16   ;
d85=dist18   ;
d86=dist19   ;
d87=dist21   ;
d88=dist25   ;
d89=dist26   ; 
d90=dist27   ;
d91=dist28   ;
d92=dist30   ;
d93=dist31   ;
d94=dist33   ;
d95=dist34   ; 
d96=dist35   ;
d97=dist38   ;
d98=dist53   ;
d99=dist57   ;
d100=dist58   ; 
d101=dist63   ;
d102=dist66   ;
d103=dist68   ;
d104=dist69   ;
/* small game */
hcrsg1=hcr4_3_1;
hcrsg2=hcr4_3_2;
hcrsg3=hcr4_3_4;
hcrsg4=hcr4_3_5;
hcrsg5=hcr4_3_6;
hcrsg6=hcr4_3_7;
hcrsg7=hcr4_3_8;
hcrsg8=hcr4_3_9;
hcrsg9=hcr4_3_10;
hcrsg10=hcr4_3_11;
hcrsg11=hcr4_3_12;
hcrsg12=hcr4_3_15;
hcrsg13=hcr4_3_16;
hcrsg14=hcr4_3_17;
hcrsg15=hcr4_3_18;
hcrsg16=hcr4_3_19;
hcrsg17=hcr4_3_20; 
hcrsg18=hcr4_3_21; 
hcrsg19=hcr4_3_24;
hcrsg20=hcr4_3_25;
hcrsg21=hcr4_3_26;
hcrsg22=hcr4_3_27;
hcrsg23=hcr4_3_29; 
hcrsg24=hcr4_3_31; 
hcrsg25=hcr4_3_33;
hcrsg26=hcr4_3_37;
hcrsg27=hcr4_3_43;
hcrsg28=hcr4_3_47;
hcrsg29=hcr4_3_49; 
hcrsg30=hcr4_3_53; 
hcrsg31=hcr4_3_54;
hcrsg32=hcr4_3_55;
hcrsg33=hcr4_3_57;
hcrsg34=hcr4_3_58;
hcrsg35=hcr4_3_59; 
hcrsg36=hcr4_3_60; 
hcrsg37=hcr4_3_62;
hcrsg38=hcr4_3_63;
hcrsg39=hcr4_3_66;
hcrsg40=hcr4_3_68;
/* king */
hcrkm41=hcr7_3_1;
hcrkm42=hcr7_3_2;
hcrkm43=hcr7_3_4;
hcrkm44=hcr7_3_5;
hcrkm45=hcr7_3_6;
hcrkm46=hcr7_3_9;
hcrkm47=hcr7_3_11;
hcrkm48=hcr7_3_12;
hcrkm49=hcr7_3_16;
hcrkm50=hcr7_3_17;
hcrkm51=hcr7_3_18;
hcrkm52=hcr7_3_21; 
hcrkm53=hcr7_3_24;
hcrkm54=hcr7_3_25;
hcrkm55=hcr7_3_26;
hcrkm56=hcr7_3_27;
hcrkm57=hcr7_3_28;
hcrkm58=hcr7_3_29; 
hcrkm59=hcr7_3_30;
hcrkm60=hcr7_3_31; 
hcrkm61=hcr7_3_33;
hcrkm62=hcr7_3_34;
hcrkm63=hcr7_3_35;
hcrkm64=hcr7_3_37;
hcrkm65=hcr7_3_38;
hcrkm66=hcr7_3_39;
hcrkm67=hcr7_3_40;
hcrkm68=hcr7_3_46;
hcrkm69=hcr7_3_53; 
hcrkm70=hcr7_3_57;
hcrkm71=hcr7_3_60; 
hcrkm72=hcr7_3_63;
hcrkm73=hcr7_3_66;
hcrkm74=hcr7_3_68;
hcrkm75=hcr7_3_69;
/* spanish */
hcrsm76=hcr10_3_1;
hcrsm77=hcr10_3_2;
hcrsm78=hcr10_3_4;
hcrsm79=hcr10_3_7;
hcrsm80=hcr10_3_10;
hcrsm81=hcr10_3_12;
hcrsm82=hcr10_3_13;
hcrsm83=hcr10_3_15;
hcrsm84=hcr10_3_16;
hcrsm85=hcr10_3_18;
hcrsm86=hcr10_3_19;
hcrsm87=hcr10_3_21; 
hcrsm88=hcr10_3_25;
hcrsm89=hcr10_3_26;
hcrsm90=hcr10_3_27;
hcrsm91=hcr10_3_28; 
hcrsm92=hcr10_3_30;
hcrsm93=hcr10_3_31; 
hcrsm94=hcr10_3_33;
hcrsm95=hcr10_3_34;
hcrsm96=hcr10_3_35;
hcrsm97=hcr10_3_38;
hcrsm98=hcr10_3_53; 
hcrsm99=hcr10_3_57;
hcrsm100=hcr10_3_58; 
hcrsm101=hcr10_3_63;
hcrsm102=hcr10_3_66;
hcrsm103=hcr10_3_68;
hcrsm104=hcr10_3_69;
array hcrsmg{104} hcrsg1-hcrsg104;
do i = 1 to 104;
if hcrsmg{i} = . then hcrsmg{i} =0;
end;
array hcrkma{104} hcrkm1-hcrkm104;
do i = 1 to 104;
if hcrkma{i} = . then hcrkma{i} = 0;
end;
array hcrsma{104} hcrsm1-hcrsm104;
do i = 1 to 104;
if hcrsma{i} = . then hcrsma{i} = 0;
end;
n1=nsite1;
n2=nsite2;
n3=nsite4;
n4=nsite5;
n5=nsite6;
n6=nsite7;
n7=nsite8;
n8=nsite9;
n9=nsite10;
n10=nsite11;
n11=nsite12;
n12=nsite15;
n13=nsite16;
n14=nsite17;
n15=nsite18;
n16=nsite19;
n17=nsite20; 
n18=nsite21; 
n19=nsite24;
n20=nsite25;
n21=nsite26;
n22=nsite27;
n23=nsite29; 
n24=nsite31; 
n25=nsite33;
n26=nsite37;
n27=nsite43;
n28=nsite47;
n29=nsite49; 
n30=nsite53; 
n31=nsite54;
n32=nsite55;
n33=nsite57;
n34=nsite58;
n35=nsite59; 
n36=nsite60; 
n37=nsite62;
n38=nsite63;
n39=nsite66;
n40=nsite68;
/* king */
n41=nsite1;
n42=nsite2;
n43=nsite4;
n44=nsite5;
n45=nsite6;
n46=nsite9;
n47=nsite11;
n48=nsite12;
n49=nsite16;
n50=nsite17;
n51=nsite18;
n52=nsite21; 
n53=nsite24;
n54=nsite25;
n55=nsite26;
n56=nsite27;
n57=nsite28;
n58=nsite29; 
n59=nsite30;
n60=nsite31; 
n61=nsite33;
n62=nsite34;
n63=nsite35;
n64=nsite37;
n65=nsite38;
n66=nsite39;
n67=nsite40;
n68=nsite46;
n69=nsite53; 
n70=nsite57;
n71=nsite60; 
n72=nsite63;
n73=nsite66;
n74=nsite68;
n75=nsite69;
/* spanish */
n76=nsite1;
n77=nsite2;
n78=nsite4;
n79=nsite7;
n80=nsite10;
n81=nsite12;
n82=nsite13;
n83=nsite15;
n84=nsite16;
n85=nsite18;
n86=nsite19;
n87=nsite21; 
n88=nsite25;
n89=nsite26;
n90=nsite27;
n91=nsite28; 
n92=nsite30;
n93=nsite31; 
n94=nsite33;
n95=nsite34;
n96=nsite35;
n97=nsite38;
n98=nsite53; 
n99=nsite57;
n100=nsite58; 
n101=nsite63;
n102=nsite66;
n103=nsite68;
n104=nsite69;
site1 = 1;
site2 = 2;
site3 = 3;
site4 = 4;
site5 = 5;
site6 = 6;
site7 = 7;
site8 = 8;
site9 = 9;
site10 = 10;
site11 = 11;
site12 = 12;
site13 = 13;
site14 = 14;
site15 = 15;
site16 = 16;
site17 = 17;
site18 = 18;
site19 = 19;
site20 = 20;
site21 = 21;
site22 = 22;
site23 = 23;
site24 = 24;
site25 = 25;
site26 = 26;
site27 = 27;
site28 = 28;
site29 = 29;
site30 = 30;
site31 = 31; 
site32 = 32;
site33 = 33;
site34 = 34;
site35 = 35;
site36 = 36;
site37 = 37;
site38 = 38;
site39 = 39;
site40 = 40;
site41 = 41;
site42 = 42;
site43 = 43;
site44 = 44;
site45 = 45;
site46 = 46;
site47 = 47;
site48 = 48;
site49 = 49;
site50 = 50;
site51 = 51;
site52 = 52;
site53 = 53;
site54 = 54; 
site55 = 55;
site56 = 56;
site57 = 57;
site58 = 58;
site59 = 59;
site60 = 60;
site61 = 61;
site62 = 62;
site63 = 63;
site64 = 64; 
site65 = 65;
site66 = 66;
site67 = 67;
site68 = 68;
site69 = 69;
site70 = 70;
site71 = 71;
site72 = 72;
site73 = 73;
site74 = 74; 
site75 = 75;
site76 = 76;
site77 = 77;
site78 = 78;
site79 = 79;
site80 = 80;
site81 = 81;
site82 = 82;
site83 = 83;
site84 = 84; 
site85 = 85;
site86 = 86;
site87 = 87;
site88 = 88;
site89 = 89;
site90 = 90;
site91 = 91;
site92 = 92;
site93 = 93;
site94 = 94; 
site95 = 95;
site96 = 96;
site97 = 97;
site98 = 98;
site99 = 99;
site100 = 100;
site101 = 101;
site102 = 102;
site103 = 103;
site104 = 104;

data mackerel4; set mackerel3;
array tc{104} tc1-tc104;
array dx{104} d1-d104;
if income2 = . then income2 = 0;
if income2 ne . then misswork=1; else misswork=0;
do i = 1 to 104;
if dx{i} lt 1 then dx{i} = 1;
tc{i} = round((dx{i}*2*.3)+(misswork*(income2/2080)*(dx{i}*2)/40),.01);
end;
proc means;
var tc1-tc104 site1-site104;
run;
proc freq;
tables target*zone2*gulf / norow nocol nopercent;
proc freq;
tables st*target / norow nopercent;
run;
proc means;
var charter;
run;
proc genmod;
model fish4 = mean5 yearfish boatown ffdays2 hrsf wave4 wave5 wave6 gulf
 / dist = nb;
 output out=pred4 xbeta = xb4;
run;
proc genmod data = pred4;
model fish7 = mean7 yearfish boatown ffdays2 hrsf wave4 wave5 wave6 gulf
 / dist = nb;
  output out=pred7 xbeta = xb7;
run;
proc genmod data = pred7;
model fish10 = mean10 yearfish boatown ffdays2 hrsf wave4 wave5 wave6 gulf
 / dist = nb;
  output out=pred10 xbeta = xb10;
run;
proc sort; by target;
proc means n mean std maxdec=2;
var yearfish boatown shore charter ffdays2 gulf hrsf;
by target;
run;
/* predict catch rates across sites */
data predicted; set pred10;
array hcrx{104} hcr1-hcr104;
array hcrsgx{104} hcrsg1-hcrsg104;
array hcrkmx{104} hcrkm1-hcrkm104;
array hcrsmx{104} hcrsm1-hcrsm104;
array psgx{104} psg1-psg104;
array pkmx{104} pkm1-pkm104;
array psmx{104} psm1-psm104;
array tcx{104} tc1-tc104;
array tcfeex{104} tcfee1-tcfee104;
array ttx{104} tt1-tt104;
array dx{104} d1-d104;
do i = 1 to 104;
if hcrsgx{i} ne 0 then 
psgx{i} = exp(xb4 - 1.639*(mean4 - hcrsgx{i}));
else psgx{i} = 0;
if hcrkmx{i} ne 0 then 
pkmx{i} = exp(xb7 -   4.398*(mean7 - hcrkmx{i}));
else pkmx{i} = 0;
if hcrsmx{i} ne 0 then 
psmx{i} = exp(xb10 -   0.804*(mean10 - hcrsmx{i})); 
else psmx{i} = 0;
end;

proc means;
var psg1-psg104 pkm1-pkm104 psm1-psm104 hcrsg1-hcrsg104;
run;

/* end: predicting catch rates */



/* transpose the data */
proc sort; by id_code;
proc transpose data=predicted out=y prefix=y;
var y1-y104;
by id_code;
proc transpose data=predicted out=nsite prefix=nsite;
var n1-n104;
by id_code;
proc transpose data=predicted out=tc prefix=tc;
var tc1-tc104;
by id_code;
proc transpose data=predicted out=site prefix=site;
var site1-site104;
by id_code;
run;
proc transpose data=predicted out=small prefix=small;
var hcrsg1-hcrsg104;
by id_code;
run;
proc transpose data=predicted out=king prefix=king;
var hcrkm1-hcrkm104;
by id_code;
run;
proc transpose data=predicted out=spanish prefix=spanish;
var hcrsm1-hcrsm104;
by id_code;
run;
proc transpose data=predicted out=psmall prefix=psmall;
var psg1-psg104;
by id_code;
run;
proc transpose data=predicted out=pking prefix=pking;
var pkm1-pkm104;
by id_code;
run;
proc transpose data=predicted out=pspanish prefix=pspanish;
var psm1-psm104;
by id_code;
run;

data rum1;
merge y tc nsite site small king spanish psmall pking pspanish;
by id_code;
y = y1;
tc = tc1;
lognsite = log(nsite1);
site = site1;
small = small1;
king = king1;
spanish = spanish1;
psmall = psmall1;
pking = pking1;
pspanish = pspanish1;
data char; set temp1 (keep = id_code YEARFISH FFDAYS2 FFDAYS12 BOATOWN HRSF gulf);
proc sort; by id_code;
data limdep; merge rum1 (keep = id_code y tc site lognsite small king spanish) char;
if y ne .;
by id_code;
if site =  1 or site =   2 or site =   5 or site =   7 or site =   9 or site =   11 
or site =  12 or site =  13 or site =  15 or site =  16 or site =  17 or site =  19 
or site =  21 or site =  22 or site =  24 or site =  27 or site =  28 or site =  29 
or site =  30 or site =  31 or site =  41 or site =  42 or site =  45 or site =  48 
or site =  49 or site =  51 or site =  53 or site =  55 or site =  56 or site =  59 
or site =  60 or site =  62 or site =  68 or site =  69 or site =  76 or site =  77 
or site =  79 or site =  80 or site =  81 or site =  82 or site =  83 or site =  84 
or site =  85 or site =  86 or site =  89 or site =  90 or site =  92 or site =  93 
or site =  95 or site =  98 then gulfsite = 1; 
else gulfsite = 0;
lognsite = round(lognsite,.0001);
small = round(small,.0001);
king = round(king,.0001);
spanish = round(spanish,.0001);
proc means data = limdep;
run;
proc freq;
tables site*gulf;
run;
proc contents data = limdep;
run;

data marfin.mackerel;
set rum1 (keep=id_code y tc lognsite site small king spanish pking pspanish nsite1);
if site = 1 or site =2 or site =5 or site =6 or site =7 or site =9 or site =11 or site =12
or site =13 or site =15 or site =16 or site =17 or site =19 or site =21 or site =22 
or site =24 or site =27 or site =28 or site =29 or site =30 or site =31 or site =32 then nest = 1;
if site =41 or site=42 or site=45 or site=48 or site=49 or site=51 or site=53 or site=55
or site=56 or site=59 or site=60 or site=62 or site=68 or site=69 or site=76 
or site=77 or site=79 or site=80 or site=81 or site=82 or site=83 or site=84
or site=85 or site=86 or site=89 or site=90 or site=92 or site=93 or site=95 or site=98 then nest = 2;
if site = 3 or site=4 or site=8 or site=10 or site=14 or site=18 or site=20 
or site=23 or site=25 or site=26 or site=33 or site=34 or site=35 or site=36 or site=37
or site=38 or site=39 or site=40 then nest = 3;
if nest = . then nest = 4;
id = id_code+0;
smallsqrt = small**.5;
kingsqrt = king**.5;
spanishsqrt = spanish**.5;
small2 = small**2;
king2 = king**2;
spanish2 = spanish**2;
proc sort; by nest;
proc means;
var tc small king spanish nsite1;
by nest;
run;
proc sort; by id site;
proc means;
proc freq;
tables site;
run;

/* 2 models */
proc mdc data=marfin.mackerel type = clogit;
model y = tc small king spanish lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104);
id id;
run;

proc mdc data=marfin.mackerel type = nlogit;
model y = tc small king spanish lognsite / samescale
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104);
id id;
utility u(1, ) = tc small king spanish lognsite;
nest level (1) = (1 2 5 6 7 9 11 12 13 15 16 17 19 21 22 24 27 28 29 30 31 32 @ 1,
			   41 42 45 48 49 51 53 55 56 59 60 62 68 69 
			   76 77 79 80 81 82 83 84 85 86 89 90 92 93 95 98 @ 2,
               3 4 8 10 14 18 20 23 25 26 33 34 35 36 37 38 39 40 @ 3,
               43 44 46 47 50 52 54 57 58 61 63 64 65 66 67 70 71 72 73 74 75 
               78 87 88 91 94 96 97 99 100 101 102 103 104 @ 4),
level(2) = (1 2 3 4 @ 1);
run;

proc mdc data=marfin.mackerel type = clogit;
model y = tc smallsqrt kingsqrt spanishsqrt lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104);
id id;
run;
/* 1=SG-G, 2=Mackerel,G, 3=SG-SA, 4=mackerel,sa */

proc mdc data=marfin.mackerel type = nlogit;
model y = tc smallsqrt kingsqrt spanishsqrt lognsite / samescale
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104);
id id;
utility u(1, ) = tc smallsqrt kingsqrt spanishsqrt lognsite;
nest level (1) = (1 2 5 6 7 9 11 12 13 15 16 17 19 21 22 24 27 28 29 30 31 32 @ 1,
			   41 42 45 48 49 51 53 55 56 59 60 62 68 69 
			   76 77 79 80 81 82 83 84 85 86 89 90 92 93 95 98 @ 2,
               3 4 8 10 14 18 20 23 25 26 33 34 35 36 37 38 39 40 @ 3,
               43 44 46 47 50 52 54 57 58 61 63 64 65 66 67 70 71 72 73 74 75 
               78 87 88 91 94 96 97 99 100 101 102 103 104 @ 4),
level(2) = (1 2 3 4 @ 1);
run;

proc mdc data=marfin.mackerel type = clogit;
model y = tc small king spanish small2 king2 spanish2 lognsite / 
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104);
id id;


proc mdc data=marfin.mackerel type = nlogit;
model y = tc small king spanish small2 king2 spanish2 lognsite / samescale
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104);
id id;
utility u(1, ) = tc small king spanish small2 king2 spanish2 lognsite;
nest level (1) = (1 2 5 6 7 9 11 12 13 15 16 17 19 21 22 24 27 28 29 30 31 32 @ 1,
			   41 42 45 48 49 51 53 55 56 59 60 62 68 69 
			   76 77 79 80 81 82 83 84 85 86 89 90 92 93 95 98 @ 2,
               3 4 8 10 14 18 20 23 25 26 33 34 35 36 37 38 39 40 @ 3,
               43 44 46 47 50 52 54 57 58 61 63 64 65 66 67 70 71 72 73 74 75 
               78 87 88 91 94 96 97 99 100 101 102 103 104 @ 4),
level(2) = (1 2 3 4 @ 1);
run;


/*

proc mdc data=marfin.mackerel type = clogit;
model y = tc small pking pspanish lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104);
id id;
run;
proc mdc data=marfin.mackerel type = nlogit;
model y = tc small pking pspanish lognsite / samescale
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104);
id id;
utility u(1, ) = tc small pking pspanish lognsite;
nest level (1) = (1 2 5 6 7 9 11 12 13 15 16 17 19 21 22 24 27 28 29 30 31 32 @ 1,
			   41 42 45 48 49 51 53 55 56 59 60 62 68 69 
			   76 77 79 80 81 82 83 84 85 86 89 90 92 93 95 98 @ 2,
               3 4 8 10 14 18 20 23 25 26 33 34 35 36 37 38 39 40 @ 3,
               43 44 46 47 50 52 54 57 58 61 63 64 65 66 67 70 71 72 73 74 75 
               78 87 88 91 94 96 97 99 100 101 102 103 104 @ 4),
level(2) = (1 2 3 4 @ 1);
run;

