libname marfin 'c:\data\MRFSS\MARFIN';
data temp1; set marfin.addon2000;
if mode = 1 then shore = 1; else shore = 0;
if mode = 2 then charter = 1; else charter = 0;
if sub_reg = 7 then gulf = 1; else gulf = 0;
if wave = 3 then wave3 = 1; else wave3 = 0;
if wave = 4 then wave4 = 1; else wave4 = 0;
if wave = 5 then wave5 = 1; else wave5 = 0;
if wave = 6 then wave6 = 1; else wave6 = 0;
if target = 8 then keep = 1; /* drum */
if target = 9 then keep = 1; /* seatrout */
if keep = 1;
libname sag2000 'C:\DATA\MRFSS\sag2000';
data temp2; set sag2000.nsites;
addon=1;
libname catch 'c:\data\MRFSS\MARFIN\catch';
data temp3; set catch.hcr_trans;
addon=1;
data drum1; merge temp1 temp2 temp3; by addon;
prim1tar=prim1dot;
proc sort; by prim1dot;

libname mrfss 'c:\data\MRFSS';
data names; set mrfss.fishname;
proc sort; by prim1tar;
data drum2; merge drum1 names; by prim1tar;
if dist1 ne .;
dmin = min(dist1,dist2,dist3,dist4,dist5,dist6,
dist7,dist8,dist9,dist10,dist11,dist12,dist13,dist14,
dist15,dist16,dist17,dist18,dist19,dist20,dist21,dist22,
dist23,dist24,dist25,dist26,dist27,dist28,dist29,dist30,
dist31,dist32,dist33,dist34,dist35,dist37,dist38,dist39,
dist40,dist41,dist42,dist43,dist44,dist45,dist46,dist47,
dist48,dist49,dist50,dist51,dist52,dist53,dist54,dist55,
dist56,dist57,dist58,dist59,dist60,dist61,dist62,dist63,
dist64,dist65,dist66,dist67,dist68,dist69);
if dmin gt 200 then delete; /* n = 52 */
if mode = 3;
if zone2 = 36 then delete;
proc freq order=freq;
tables prim1nam;
run;
proc freq;
tables zone2*target zone2*gulf / norow nocol nopercent;
run;
proc means;
run;
/* determine the choice set by mode */
/*
proc freq;
tables mode*zone2*target / norow nocol nopercent;
run;
*/
data drum3; set drum2;
if target = 8 then do;
if zone2 = 1 then y1 = 1;
if zone2 = 2 then y2 = 1;
if zone2 = 3 then y3 = 1;
if zone2 = 4 then y4 = 1;
if zone2 = 6 then y5 = 1;
if zone2 = 7 then y6 = 1;
if zone2 = 8 then y7 = 1;
if zone2 = 10 then y8 = 1;
if zone2 = 11 then y9 = 1;
if zone2 = 12 then y10 = 1;
if zone2 = 13 then y11 = 1;
if zone2 = 15 then y12 = 1;
if zone2 = 16 then y13 = 1;
if zone2 = 17 then y14 = 1;
if zone2 = 18 then y15 = 1;
if zone2 = 19 then y16 = 1;
if zone2 = 20 then y17 = 1; 
if zone2 = 21 then y18 = 1; 
if zone2 = 24 then y19 = 1;
if zone2 = 25 then y20 = 1;
if zone2 = 26 then y21 = 1;
if zone2 = 27 then y22 = 1;
if zone2 = 28 then y23 = 1; 
if zone2 = 29 then y24 = 1; 
if zone2 = 30 then y25 = 1;
if zone2 = 31 then y26 = 1;
if zone2 = 32 then y27 = 1;
if zone2 = 33 then y28 = 1;
if zone2 = 34 then y29 = 1; 
if zone2 = 37 then y30 = 1;
if zone2 = 38 then y31 = 1;
if zone2 = 39 then y32 = 1;
if zone2 = 40 then y33 = 1;
if zone2 = 41 then y34 = 1; 
if zone2 = 42 then y35 = 1; 
if zone2 = 43 then y36 = 1;
if zone2 = 44 then y37 = 1;
if zone2 = 45 then y38 = 1;
if zone2 = 46 then y39 = 1;
if zone2 = 47 then y40 = 1;
if zone2 = 48 then y41 = 1;
if zone2 = 49 then y42 = 1;
if zone2 = 50 then y43 = 1;
if zone2 = 51 then y44 = 1;
if zone2 = 53 then y45 = 1;
if zone2 = 54 then y46 = 1;
if zone2 = 57 then y47 = 1;
if zone2 = 58 then y48 = 1;
if zone2 = 62 then y49 = 1;
if zone2 = 64 then y50 = 1;
if zone2 = 65 then y51 = 1;
if zone2 = 66 then y52 = 1;
if zone2 = 68 then y53 = 1;
if zone2 = 69 then y54 = 1;
end;
if target = 9 then do;
if zone2 = 1 then y55 = 1;
if zone2 = 2 then y56 = 1; 
if zone2 = 3 then y57 = 1;
if zone2 = 4 then y58 = 1;
if zone2 = 6 then y59 = 1;
if zone2 = 7 then y60 = 1;
if zone2 = 8 then y61 = 1;
if zone2 = 10 then y62 = 1; 
if zone2 = 11 then y63 = 1;
if zone2 = 13 then y64 = 1; 
if zone2 = 14 then y65 = 1;
if zone2 = 15 then y66 = 1;
if zone2 = 16 then y67 = 1;
if zone2 = 17 then y68 = 1;
if zone2 = 18 then y69 = 1;
if zone2 = 19 then y70 = 1;
if zone2 = 20 then y71 = 1;
if zone2 = 21 then y72 = 1;
if zone2 = 24 then y73 = 1; 
if zone2 = 25 then y74 = 1;
if zone2 = 26 then y75 = 1;
if zone2 = 27 then y76 = 1; 
if zone2 = 28 then y77 = 1;
if zone2 = 29 then y78 = 1;
if zone2 = 30 then y79 = 1;
if zone2 = 31 then y80 = 1;
if zone2 = 32 then y81 = 1;
if zone2 = 33 then y82 = 1; 
if zone2 = 34 then y83 = 1;
if zone2 = 35 then y84 = 1; 
if zone2 = 37 then y85 = 1;
if zone2 = 38 then y86 = 1;
if zone2 = 39 then y87 = 1;
if zone2 = 40 then y88 = 1;
if zone2 = 41 then y89 = 1;
if zone2 = 42 then y90 = 1;
if zone2 = 43 then y91 = 1;
if zone2 = 44 then y92 = 1; 
if zone2 = 45 then y93 = 1;
if zone2 = 46 then y94 = 1;
if zone2 = 47 then y95 = 1;
if zone2 = 48 then y96 = 1;
if zone2 = 49 then y97 = 1;
if zone2 = 50 then y98 = 1;
if zone2 = 51 then y99 = 1; 
if zone2 = 52 then y100 = 1;
if zone2 = 53 then y101 = 1; 
if zone2 = 54 then y102 = 1;
if zone2 = 57 then y103 = 1;
if zone2 = 58 then y104 = 1;
if zone2 = 59 then y105 = 1;
if zone2 = 62 then y106 = 1;
if zone2 = 64 then y107 = 1;
if zone2 = 65 then y108 = 1;
if zone2 = 66 then y109 = 1;
if zone2 = 68 then y110 = 1; 
end;
sum8= sum(y1,y2,y3,y4,y5,y6,y7,y8,
y9,y10,y11,y12,y13,y14,y15,y16,
y17,y18,y19,y20,y21,y22,y23,y24,
y25,y26,y27,y28,y29,y30,y31,y32,
y33,y34,y35,y36,y37,y38,y39,y40,
y41,y42,y43,y44,y45,y46,y47,y48,y49,y50,
y51,y52,y53,y54);
sum9 = sum(y55,y56,y57,y58,y59,y60,y61,y62,y63,y64,
y65,y66,y67,y68,y69,y70,y71,y72,
y73,y74,y75,y76,y77,y78,y79,y80,y81,y82,y83,y84,y85,y86,y87,y88,y89,y90,y91,y92,
y93,y94,y95,y96,y97,y98,y99,y100,y101,y102,y103,y104,
y105,y106,y107,y108,y109,y110);
array yx{110} y1-y110;
do i = 1 to 110;
if yx{i} = . then yx{i} = 0;
end;
/*
proc means;
var y1-y110 sum8 sum9;
run;
proc freq;
tables zone2*target / norow nocol nopercent;
run;
*/
d1	=	dist1	;
d2	=	dist2	;
d3	=	dist3	;
d4	=	dist4	;
d5	=	dist6	;
d6	=	dist7	;
d7	=	dist8	;
d8	=	dist10	;
d9	=	dist11	;
d10	=	dist12	;
d11	=	dist13	;
d12	=	dist15	;
d13	=	dist16	;
d14	=	dist17	;
d15	=	dist18	;
d16	=	dist19	;
d17	=	dist20	;
d18	=	dist21	;
d19	=	dist24	;
d20	=	dist25	;
d21	=	dist26	;
d22	=	dist27	;
d23	=	dist28	;
d24	=	dist29	;
d25	=	dist30	;
d26	=	dist31	;
d27	=	dist32	;
d28	=	dist33	;
d29	=	dist34	;
d30	=	dist37	;
d31	=	dist38	;
d32	=	dist39	;
d33	=	dist40	;
d34	=	dist41	;
d35	=	dist42	;
d36	=	dist43	;
d37	=	dist44	;
d38	=	dist45	;
d39	=	dist46	;
d40	=	dist47	;
d41	=	dist48	;
d42	=	dist49	;
d43	=	dist50	;
d44	=	dist51	;
d45	=	dist53	;
d46	=	dist54	;
d47	=	dist57	;
d48	=	dist58	;
d49	=	dist62	;
d50	=	dist64	;
d51	=	dist65	;
d52	=	dist66	;
d53	=	dist68	;
d54	=	dist69	;
d55	=	dist1	;
d56	=	dist2	;
d57	=	dist3	;
d58	=	dist4	;
d59	=	dist6	;
d60	=	dist7	;
d61	=	dist8	;
d62	=	dist10	;
d63	=	dist11	;
d64	=	dist13	;
d65	=	dist14	;
d66	=	dist15	;
d67	=	dist16	;
d68	=	dist17	;
d69	=	dist18	;
d70	=	dist19	;
d71	=	dist20	;
d72	=	dist21	;
d73	=	dist24	;
d74	=	dist25	;
d75	=	dist26	;
d76	=	dist27	;
d77	=	dist28	;
d78	=	dist29	;
d79	=	dist30	;
d80	=	dist31	;
d81	=	dist32	;
d82	=	dist33	;
d83	=	dist34	;
d84	=	dist35	;
d85	=	dist37	;
d86	=	dist38	;
d87	=	dist39	;
d88	=	dist40	;
d89	=	dist41	;
d90	=	dist42	;
d91	=	dist43	;
d92	=	dist44	;
d93	=	dist45	;
d94	=	dist46	;
d95	=	dist47	;
d96	=	dist48	;
d97	=	dist49	;
d98	=	dist50	;
d99	=	dist51	;
d100	=	dist52	;
d101	=	dist53	;
d102	=	dist54	;
d103	=	dist57	;
d104	=	dist58	;
d105	=	dist59	;
d106	=	dist62	;
d107	=	dist64	;
d108	=	dist65	;
d109	=	dist66	;
d110	=	dist68	;
drum1	=	hcr8_3_1	;
drum2	=	hcr8_3_2	;
drum3	=	hcr8_3_3	;
drum4	=	hcr8_3_4	;
drum5	=	hcr8_3_6	;
drum6	=	hcr8_3_7	;
drum7	=	hcr8_3_8	;
drum8	=	hcr8_3_10	;
drum9	=	hcr8_3_11	;
drum10	=	hcr8_3_12	;
drum11	=	hcr8_3_13	;
drum12	=	hcr8_3_15	;
drum13	=	hcr8_3_16	;
drum14	=	hcr8_3_17	;
drum15	=	hcr8_3_18	;
drum16	=	hcr8_3_19	;
drum17	=	hcr8_3_20	;
drum18	=	hcr8_3_21	;
drum19	=	hcr8_3_24	;
drum20	=	hcr8_3_25	;
drum21	=	hcr8_3_26	;
drum22	=	hcr8_3_27	;
drum23	=	hcr8_3_28	;
drum24	=	hcr8_3_29	;
drum25	=	hcr8_3_30	;
drum26	=	hcr8_3_31	;
drum27	=	hcr8_3_32	;
drum28	=	hcr8_3_33	;
drum29	=	hcr8_3_34	;
drum30	=	hcr8_3_37	;
drum31	=	hcr8_3_38	;
drum32	=	hcr8_3_39	;
drum33	=	hcr8_3_40	;
drum34	=	hcr8_3_41	;
drum35	=	hcr8_3_42	;
drum36	=	hcr8_3_43	;
drum37	=	hcr8_3_44	;
drum38	=	hcr8_3_45	;
drum39	=	hcr8_3_46	;
drum40	=	hcr8_3_47	;
drum41	=	hcr8_3_48	;
drum42	=	hcr8_3_49	;
drum43	=	hcr8_3_50	;
drum44	=	hcr8_3_51	;
drum45	=	hcr8_3_53	;
drum46	=	hcr8_3_54	;
drum47	=	hcr8_3_57	;
drum48	=	hcr8_3_58	;
drum49	=	hcr8_3_62	;
drum50	=	hcr8_3_64	;
drum51	=	hcr8_3_65	;
drum52	=	hcr8_3_66	;
drum53	=	hcr8_3_68	;
drum54	=	hcr8_3_69	;
trout55	=	hcr9_3_1	;
trout56	=	hcr9_3_2	;
trout57	=	hcr9_3_3	;
trout58	=	hcr9_3_4	;
trout59	=	hcr9_3_6	;
trout60	=	hcr9_3_7	;
trout61	=	hcr9_3_8	;
trout62	=	hcr9_3_10	;
trout63	=	hcr9_3_11	;
trout64	=	hcr9_3_13	;
trout65	=	hcr9_3_14	;
trout66	=	hcr9_3_15	;
trout67	=	hcr9_3_16	;
trout68	=	hcr9_3_17	;
trout69	=	hcr9_3_18	;
trout70	=	hcr9_3_19	;
trout71	=	hcr9_3_20	;
trout72	=	hcr9_3_21	;
trout73	=	hcr9_3_24	;
trout74	=	hcr9_3_25	;
trout75	=	hcr9_3_26	;
trout76	=	hcr9_3_27	;
trout77	=	hcr9_3_28	;
trout78	=	hcr9_3_29	;
trout79	=	hcr9_3_30	;
trout80	=	hcr9_3_31	;
trout81	=	hcr9_3_32	;
trout82	=	hcr9_3_33	;
trout83	=	hcr9_3_34	;
trout84	=	hcr9_3_35	;
trout85	=	hcr9_3_37	;
trout86	=	hcr9_3_38	;
trout87	=	hcr9_3_39	;
trout88	=	hcr9_3_40	;
trout89	=	hcr9_3_41	;
trout90	=	hcr9_3_42	;
trout91	=	hcr9_3_43	;
trout92	=	hcr9_3_44	;
trout93	=	hcr9_3_45	;
trout94	=	hcr9_3_46	;
trout95	=	hcr9_3_47	;
trout96	=	hcr9_3_48	;
trout97	=	hcr9_3_49	;
trout98	=	hcr9_3_50	;
trout99	=	hcr9_3_51	;
trout100	=	hcr9_3_52	;
trout101	=	hcr9_3_53	;
trout102	=	hcr9_3_54	;
trout103	=	hcr9_3_57	;
trout104	=	hcr9_3_58	;
trout105	=	hcr9_3_59	;
trout106	=	hcr9_3_62	;
trout107	=	hcr9_3_64	;
trout108	=	hcr9_3_65	;
trout109	=	hcr9_3_66	;
trout110	=	hcr9_3_68	;
array drumx{110} drum1-drum110;
do i = 1 to 110;
if drumx{i} = . then drumx{i} =0;
end;
array troutx{110} trout1-trout110;
do i = 1 to 110;
if troutx{i} = . then troutx{i} = 0;
end;
n1	=	nsite1	;
n2	=	nsite2	;
n3	=	nsite3	;
n4	=	nsite4	;
n5	=	nsite6	;
n6	=	nsite7	;
n7	=	nsite8	;
n8	=	nsite10	;
n9	=	nsite11	;
n10	=	nsite12	;
n11	=	nsite13	;
n12	=	nsite15	;
n13	=	nsite16	;
n14	=	nsite17	;
n15	=	nsite18	;
n16	=	nsite19	;
n17	=	nsite20	;
n18	=	nsite21	;
n19	=	nsite24	;
n20	=	nsite25	;
n21	=	nsite26	;
n22	=	nsite27	;
n23	=	nsite28	;
n24	=	nsite29	;
n25	=	nsite30	;
n26	=	nsite31	;
n27	=	nsite32	;
n28	=	nsite33	;
n29	=	nsite34	;
n30	=	nsite37	;
n31	=	nsite38	;
n32	=	nsite39	;
n33	=	nsite40	;
n34	=	nsite41	;
n35	=	nsite42	;
n36	=	nsite43	;
n37	=	nsite44	;
n38	=	nsite45	;
n39	=	nsite46	;
n40	=	nsite47	;
n41	=	nsite48	;
n42	=	nsite49	;
n43	=	nsite50	;
n44	=	nsite51	;
n45	=	nsite53	;
n46	=	nsite54	;
n47	=	nsite57	;
n48	=	nsite58	;
n49	=	nsite62	;
n50	=	nsite64	;
n51	=	nsite65	;
n52	=	nsite66	;
n53	=	nsite68	;
n54	=	nsite69	;
n55	=	nsite1	;
n56	=	nsite2	;
n57	=	nsite3	;
n58	=	nsite4	;
n59	=	nsite6	;
n60	=	nsite7	;
n61	=	nsite8	;
n62	=	nsite10	;
n63	=	nsite11	;
n64	=	nsite13	;
n65	=	nsite14	;
n66	=	nsite15	;
n67	=	nsite16	;
n68	=	nsite17	;
n69	=	nsite18	;
n70	=	nsite19	;
n71	=	nsite20	;
n72	=	nsite21	;
n73	=	nsite24	;
n74	=	nsite25	;
n75	=	nsite26	;
n76	=	nsite27	;
n77	=	nsite28	;
n78	=	nsite29	;
n79	=	nsite30	;
n80	=	nsite31	;
n81	=	nsite32	;
n82	=	nsite33	;
n83	=	nsite34	;
n84	=	nsite35	;
n85	=	nsite37	;
n86	=	nsite38	;
n87	=	nsite39	;
n88	=	nsite40	;
n89	=	nsite41	;
n90	=	nsite42	;
n91	=	nsite43	;
n92	=	nsite44	;
n93	=	nsite45	;
n94	=	nsite46	;
n95	=	nsite47	;
n96	=	nsite48	;
n97	=	nsite49	;
n98	=	nsite50	;
n99	=	nsite51	;
n100	=	nsite52	;
n101	=	nsite53	;
n102	=	nsite54	;
n103	=	nsite57	;
n104	=	nsite58	;
n105	=	nsite59	;
n106	=	nsite62	;
n107	=	nsite64	;
n108	=	nsite65	;
n109	=	nsite66	;
n110	=	nsite68	;
site1 = 1;
site2 = 2;
site3 = 3;
site4 = 4;
site5 = 5;
site6 = 6;
site7 = 7;
site8 = 8;
site9 = 9;
site10 = 10;
site11 = 11;
site12 = 12;
site13 = 13;
site14 = 14;
site15 = 15;
site16 = 16;
site17 = 17;
site18 = 18;
site19 = 19;
site20 = 20;
site21 = 21;
site22 = 22;
site23 = 23;
site24 = 24;
site25 = 25;
site26 = 26;
site27 = 27;
site28 = 28;
site29 = 29;
site30 = 30;
site31 = 31; 
site32 = 32;
site33 = 33;
site34 = 34;
site35 = 35;
site36 = 36;
site37 = 37;
site38 = 38;
site39 = 39;
site40 = 40;
site41 = 41;
site42 = 42;
site43 = 43;
site44 = 44;
site45 = 45;
site46 = 46;
site47 = 47;
site48 = 48;
site49 = 49;
site50 = 50;
site51 = 51;
site52 = 52;
site53 = 53;
site54 = 54; 
site55 = 55;
site56 = 56;
site57 = 57;
site58 = 58;
site59 = 59;
site60 = 60;
site61 = 61;
site62 = 62;
site63 = 63;
site64 = 64; 
site65 = 65;
site66 = 66;
site67 = 67;
site68 = 68;
site69 = 69;
site70 = 70;
site71 = 71;
site72 = 72;
site73 = 73;
site74 = 74; 
site75 = 75;
site76 = 76;
site77 = 77;
site78 = 78;
site79 = 79;
site80 = 80;
site81 = 81;
site82 = 82;
site83 = 83;
site84 = 84; 
site85 = 85;
site86 = 86;
site87 = 87;
site88 = 88;
site89 = 89;
site90 = 90;
site91 = 91;
site92 = 92;
site93 = 93;
site94 = 94; 
site95 = 95;
site96 = 96;
site97 = 97;
site98 = 98;
site99 = 99;
site100 = 100;
site101 = 101;
site102 = 102;
site103 = 103;
site104 = 104;
site105 = 105;
site106 = 106;
site107 = 107;
site108 = 108;
site109 = 109;
site110 = 110;
if hrsf = . then hrsf = 4; /* n=1 */
proc genmod data = drum3;
model fish8 = mean8 yearfish boatown ffdays2 wave4 wave5 wave6 gulf
hrsf / dist = nb;
output out=pred8 xbeta = xb8;
run;
proc genmod data = pred8;
model fish9 = mean9 yearfish boatown ffdays2 wave4 wave5 wave6 gulf
hrsf / dist = nb;
output out=pred9 xbeta = xb9;
run;
proc sort; by target;
proc means n mean std maxdec=2;
var yearfish boatown shore charter ffdays2 gulf hrsf;
by target;
run;
data drum4; set pred9;
array drumx{110} drum1-drum110;
array troutx{110} trout1-trout110;
array pdrumx{110} pdrum1-pdrum110;
array ptroutx{110} ptrout1-ptrout110;
array tc{110} tc1-tc110;
array dx{110} d1-d110;
if income2 = . then income2 = 0;
if income2 ne . then misswork=1; else misswork=0;
do i = 1 to 110;
if dx{i} lt 1 then dx{i} = 1;
tc{i} = round((dx{i}*2*.3)+(misswork*(income2/2080)*(dx{i}*2)/40),.01);
if drumx{i} ne 0 then 
pdrumx{i} = exp(xb8 - 2.812*(mean8 - drumx{i}));
else pdrumx{i} = 0;
if troutx{i} ne 0 then 
ptroutx{i} = exp(xb9 -   0.796*(mean9 - troutx{i}));
else ptroutx{i} = 0;
end;
/* if pdrum1 ne .;  a mysterious missing observation */
proc means;
var tc1-tc110 site1-site110 n1-n110 d1-d110 pdrum1-pdrum110 ptrout1-ptrout110;
run;
proc freq;
tables target*zone2*gulf / norow nocol nopercent;
run;
proc freq;
tables st*target / norow nopercent;
run;

/* transpose the data */
proc sort; by id_code;
proc transpose data=drum4 out=y prefix=y;
var y1-y110;
by id_code;
proc transpose data=drum4 out=nsite prefix=nsite;
var n1-n110;
by id_code;
proc transpose data=drum4 out=tc prefix=tc;
var tc1-tc110;
by id_code;
proc transpose data=drum4 out=site prefix=site;
var site1-site110;
by id_code;
run;
proc transpose data=drum4 out=drum prefix=drum;
var drum1-drum110;
by id_code;
run;
proc transpose data=drum4 out=trout prefix=trout;
var trout1-trout110;
by id_code;
run;
proc transpose data=drum4 out=pdrum prefix=pdrum;
var pdrum1-pdrum110;
by id_code;
run;
proc transpose data=drum4 out=ptrout prefix=ptrout;
var ptrout1-ptrout110;
by id_code;
run;

data rum1;
merge y tc nsite site drum trout pdrum ptrout;
by id_code;
y = y1;
tc = tc1;
lognsite = log(nsite1);
site = site1;
drum = drum1;
trout = trout1;
pdrum = pdrum1;
ptrout = ptrout1;
data char; set temp1 (keep = id_code YEARFISH DIST FFDAYS2 FFDAYS12 BOATOWN HRSF);
proc sort; by id_code;
data limdep; merge rum1 (keep = id_code y tc site lognsite drum trout) char;
if y ne .;
by id_code;
proc means data = limdep;
run;


data marfin.drum;
set rum1 (keep=id_code y tc lognsite site drum trout nsite1 pdrum ptrout);
id = id_code+0;
if site le 54 then nest = 1;
if site gt 54 then nest = 2;
drumsqrt = drum**.5;
troutsqrt = trout**.5;
drum2 = drum**2;
trout2 = trout**2;
proc sort; by nest;
proc means;
var tc drum trout pdrum ptrout nsite1;
by nest;
run;
proc sort; by id site;
proc means;
run;
proc freq;
tables site;
run;

/* 2 models */
proc mdc data=marfin.drum type = clogit;
model y = tc drum trout lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110);
id id;
run;
proc mdc data=marfin.drum type = clogit;
model y = tc drumsqrt troutsqrt lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110);
id id;
run;

proc mdc data=marfin.drum type = clogit;
model y = tc drum trout drum2 trout2 lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110);
id id;
run;
proc mdc data=marfin.drum type = clogit;
model y = tc drum trout drum2 trout2 lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110);
id id;
run;
proc mdc data=marfin.drum type = nlogit;
model y = tc drum trout lognsite / samescale
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110);
id id;
utility u(1, ) = tc drum trout lognsite;
nest level (1) = (1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 @ 1,
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 @ 2),
level(2) = (1 2 @ 1);
run;
proc mdc data=marfin.drum type = nlogit;
model y = tc drumsqrt troutsqrt lognsite / samescale
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110);
id id;
utility u(1, ) = tc drumsqrt troutsqrt lognsite;
nest level (1) = (1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 @ 1,
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 @ 2),
level(2) = (1 2 @ 1);
run;

proc mdc data=marfin.drum type = nlogit;
model y = tc drum trout drum2 trout2 lognsite / samescale
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110);
id id;
utility u(1, ) = tc drum trout drum2 trout2 lognsite;
nest level (1) = (1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 @ 1,
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 @ 2),
level(2) = (1 2 @ 1);
run;


/* geographic model: 1=drum, gulf, 2=trout, gulf, 3=drum, sa, 4=trout, sa */

/*
proc mdc data=marfin.drum type = nlogit;
model y = tc drum trout lognsite / samescale
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110);
id id;
utility u(1, ) = tc drum trout lognsite;
nest level (1) = (1 2 3 5 6 7 8 10 11 12 13 15 16 17 19 21 22 25 26 27 29
                  34 35 36 37 38 39 40 41 42 43 44 45 46 @ 1,
                  55 56 57 59 60 61 62 64 65 66 67 69 70 71 73 75 76 79 80 81 83 
                  89 90 91 92 93 94 95 96 97 98 99 100 101 102 @ 2,
                  4 9 14 18 20 23 24 28 30 31 32 33 47 48 49 50 51 52 53 54 @ 3,
                  58 63 68 72 74 77 78 82 84 85 86 87 88 103 104 105 106 107 108 109 110 @ 4),
level(2) = (1 2 3 4 @ 1);
run;


proc mdc data=marfin.drum type = nlogit;
model y = tc drum trout lognsite / samescale
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110);
id id;
utility u(1, ) = tc drum trout lognsite;
nest level (1) = (1 2 3 5 6 7 8 10 11 12 13 15 16 17 19 21 22 25 26 27 29
                  34 35 36 37 38 39 40 41 42 43 44 45 46 @ 1,
                  55 56 57 59 60 61 62 64 65 66 67 69 70 71 73 75 76 79 80 81 83 
                  89 90 91 92 93 94 95 96 97 98 99 100 101 102 @ 2,
                  4 9 14 18 20 23 24 28 30 31 32 33 47 48 49 50 51 52 53 54 @ 3,
                  58 63 68 72 74 77 78 82 84 85 86 87 88 103 104 105 106 107 108 109 110 @ 4),
level(2) = (1 2 @ 1, 3 4 @ 2), level(3) = (1 2 @ 1);
run;
*/

