libname marfin 'c:\data\MRFSS\MARFIN';
data temp1; set marfin.addon2000;
if mode = 1 then shore = 1; else shore = 0;
if mode = 2 then charter = 1; else charter = 0;
if sub_reg = 7 then gulf = 1; else gulf = 0;
if wave = 3 then wave3 = 1; else wave3 = 0;
if wave = 4 then wave4 = 1; else wave4 = 0;
if wave = 5 then wave5 = 1; else wave5 = 0;
if wave = 6 then wave6 = 1; else wave6 = 0;
if target = 6 then keep = 1;
if target = 1 then keep = 1;
if keep = 1;
if st = 12;
if zone2 = 22 then gulf = 0; /* include Monroe Co */
if gulf = 0;
proc means;
run;
proc freq;
tables sub_reg*target st zone2*gulf target;
run;
libname sag2000 'C:\DATA\MRFSS\sag2000';
data temp2; set sag2000.nsites;
addon=1;
libname catch 'c:\data\MRFSS\MARFIN\catch';
data temp3; set catch.hcr_trans;
addon=1;
data dolph; merge temp1 temp2 temp3; by addon;
prim1tar=prim1dot;
proc sort; by prim1dot;

libname mrfss 'c:\data\MRFSS';
data names; set mrfss.fishname;
proc sort; by prim1tar;
data dolphin; merge dolph names; by prim1tar;
if dist1 ne .;
if st = 37 then nc = 1; else nc = 0;
if st = 45 then sc = 1; else sc = 0;
dmin = min(dist4,dist5,dist9,dist21,dist25,dist29,dist33,dist22,dist11,dist17,dist28);
if dmin gt 200 then delete; /* n = 18 */
if sc = 1 then delete; /* n = 5 */

/* determine the choice set by mode */
/*
proc freq;
tables zone2*mode zone2*target nc sc / norow nocol nopercent;
run;
*/
if mode = 2 and target = 6 then do;
if zone2 = 4 then y1 = 1;
if zone2 = 5 then y2 = 1;
if zone2 = 9 then y3 = 1;
if zone2 = 21 then y4 = 1; 
if zone2 = 22 then y5 = 1; /* MONROE CO [charter only] */
if zone2 = 25 then y6 = 1;
if zone2 = 29 then y7 = 1;
if zone2 = 33 then y8 = 1;
end;
if mode = 3 and target = 6 then do;
if zone2 = 4 then y9 = 1;
if zone2 = 5 then y10 = 1;
if zone2 = 9 then y11 = 1;
if zone2 = 11 then y12 = 1;
if zone2 = 17 then y13 = 1;
if zone2 = 21 then y14 = 1; 
if zone2 = 25 then y15 = 1;
if zone2 = 28 then y16 = 1;
if zone2 = 29 then y17 = 1;
if zone2 = 33 then y18 = 1;
end;
if mode = 2 and target = 1 then do;
if zone2 = 5 then y19 = 1;
if zone2 = 9 then y20 = 1;
if zone2 = 22 then y21 = 1; /* MONROE CO [charter only] */
if zone2 = 25 then y22 = 1;
if zone2 = 33 then y23 = 1;
end;
if mode = 3 and target = 1 then do;
if zone2 = 4 then y24 = 1;
if zone2 = 5 then y25 = 1;
if zone2 = 9 then y26 = 1;
if zone2 = 11 then y27 = 1;
if zone2 = 17 then y28 = 1;
if zone2 = 21 then y29 = 1; 
if zone2 = 22 then y30 = 1;
if zone2 = 25 then y31 = 1;
if zone2 = 28 then y32 = 1;
if zone2 = 29 then y33 = 1;
if zone2 = 33 then y34 = 1;
end;
sum1= sum(y19,y20,y21,y22,y23,y24,y25,y26,y27,y28,y29,y30,y31,y32,y33,y34);
sum6 = sum(y1,y2,y3,y4,y5,y6,y7,y8,y9,y10,y11,y12,y13,y14,y15,y16,y17,y18);
if sum1 =1 or sum6 = 1; /* MAY NEED TO CONSIDER INCLUDING THE OTHER BIG GAME SITES !!!!! */
array yx{34} y1-y34;
do i = 1 to 34;
if yx{i} = . then yx{i} = 0;
end;
/*
proc means;
var y1-y34 sum1 sum6;
proc freq;
tables zone2*target / norow nocol nopercent;
run;
*/
d1 = dist4;
d2 = dist5;
d3 = dist9;
d4 = dist21;
d5 = dist22;
d6 = dist25;
d7 = dist29;
d8 = dist33;
d9 = dist4;
d10 = dist5;
d11 = dist9;
d12 = dist11;
d13 = dist17;
d14 = dist21;
d15 = dist25;
d16 = dist28;
d17 = dist29;
d18 = dist33;
d19 = dist5;
d20 = dist9;
d21 = dist22;
d22 = dist25;
d23 = dist33;
d24 = dist4;
d25 = dist5;
d26 = dist9;
d27 = dist11;
d28 = dist17;
d29 = dist21;
d30 = dist22;
d31 = dist25;
d32 = dist28;
d33 = dist29;
d34 = dist33;
hcr1 = hcr6_2_4;
hcr2 = hcr6_2_5;
hcr3 = hcr6_2_9;
hcr4 = hcr6_2_21;
hcr5 = hcr6_2_22;
hcr6 = hcr6_2_25;
hcr7 = hcr6_2_29;
hcr8 = hcr6_2_33;
hcr9 = hcr6_3_4;
hcr10 = hcr6_3_5;
hcr11 = hcr6_3_9;
hcr12 = hcr6_3_11;
hcr13 = hcr6_3_17;
hcr14 = hcr6_3_21;
hcr15 = hcr6_3_25;
hcr16 = hcr6_3_28;
hcr17 = hcr6_3_29;
hcr18 = hcr6_3_33;
array hcrall{34} hcr1-hcr34;
do i = 19 to 34;
hcrall{i} = 0;
end;


array hcrbigame{34} hcrbigame1-hcrbigame34;
do i = 1 to 18;
hcrbigame{i} = 0;
end;
hcrbigame19 = hcr1_2_5;
hcrbigame20 = hcr1_2_9;
hcrbigame21 = hcr1_2_22;
hcrbigame22 = hcr1_2_25;
hcrbigame23 = hcr1_2_33;
hcrbigame24 = hcr1_3_4;
hcrbigame25 = hcr1_3_5;
hcrbigame26 = hcr1_3_9;
hcrbigame27 = hcr1_3_11;
hcrbigame28 = hcr1_3_17;
hcrbigame29 = hcr1_3_21;
hcrbigame30 = hcr1_3_22;
hcrbigame31 = hcr1_3_25;
hcrbigame32 = hcr1_3_28;
hcrbigame33 = hcr1_3_29;
hcrbigame34 = hcr1_3_33;

nsite1 = nsite4;
nsite2 = nsite5;
nsite3 = nsite9;
nsite4 = nsite21;
nsite5 = nsite22;
nsite6 = nsite25;
nsite7 = nsite29;
nsite8 = nsite33;
nsite9 = nsite4;
nsite10 = nsite5;
nsite11 = nsite9;
nsite12 = nsite11;
nsite13 = nsite17;
nsite14 = nsite21;
nsite15 = nsite25;
nsite16 = nsite28;
nsite17 = nsite29;
nsite18 = nsite33;
nsite19 = nsite5;
nsite20 = nsite9;
nsite21 = nsite22;
nsite22 = nsite25;
nsite23 = nsite33;
nsite24 = nsite4;
nsite25 = nsite5;
nsite26 = nsite9;
nsite27 = nsite11;
nsite28 = nsite17;
nsite29 = nsite21;
nsite30 = nsite22;
nsite31 = nsite25;
nsite32 = nsite28;
nsite33 = nsite29;
nsite34 = nsite33;

site1 = 1;
site2 = 2;
site3 = 3;
site4 = 4;
site5 = 5;
site6 = 6;
site7 = 7;
site8 = 8;
site9 = 9;
site10 = 10;
site11 = 11;
site12 = 12;
site13 = 13;
site14 = 14;
site15 = 15;
site16 = 16;
site17 = 17;
site18 = 18;
site19 = 19;
site20 = 20;
site21 = 21;
site22 = 22;
site23 = 23;
site24 = 24;
site25 = 25;
site26 = 26;
site27 = 27;
site28 = 28;
site29 = 29;
site30 = 30;
site31 = 31; 
site32 = 32;
site33 = 33;
site34 = 34;
hcrbig1 = hcr11_2_4;
hcrbig2 = hcr11_2_5;
hcrbig3 = hcr11_2_9;
hcrbig4 = hcr11_2_21;
hcrbig5 = hcr11_2_22;
hcrbig6 = hcr11_2_25;
hcrbig7 = hcr11_2_29;
hcrbig8 = hcr11_2_33;
hcrbig9 = hcr11_3_4;
hcrbig10 = hcr11_3_5;
hcrbig11 = hcr11_3_9;
hcrbig12 = hcr11_3_11;
hcrbig13 = hcr11_3_17;
hcrbig14 = hcr11_3_21;
hcrbig15 = hcr11_3_25;
hcrbig16 = hcr11_3_28;
hcrbig17 = hcr11_3_29;
hcrbig18 = hcr11_3_33;
array hcrbig{34} hcrbig1-hcrbig34;
do i = 19 to 34;
hcrbig{i} = 0;
end;
hcrsmall1 = hcr12_2_4;
hcrsmall2 = hcr12_2_5;
hcrsmall3 = hcr12_2_9;
hcrsmall4 = hcr12_2_21;
hcrsmall5 = hcr12_2_22;
hcrsmall6 = hcr12_2_25;
hcrsmall7 = hcr12_2_29;
hcrsmall8 = hcr12_2_33;
hcrsmall9 = hcr12_3_4;
hcrsmall10 = hcr12_3_5;
hcrsmall11 = hcr12_3_9;
hcrsmall12 = hcr12_3_11;
hcrsmall13 = hcr12_3_17;
hcrsmall14 = hcr12_3_21;
hcrsmall15 = hcr12_3_25;
hcrsmall16 = hcr12_3_28;
hcrsmall17 = hcr12_3_29;
hcrsmall18 = hcr12_3_33;
array hcrsmall{34} hcrsmall1-hcrsmall34;
do i = 19 to 34;
hcrsmall{i} = 0;
end;
proc sort; by target;
proc means n mean std maxdec=2;
var yearfish boatown shore charter ffdays2 gulf hrsf;
by target;
run;
proc genmod data = dolphin;
model fish1 = mean1 yearfish boatown charter ffdays2 hrsf wave3 wave4 wave5 / dist = nb;
output out = pred1 xbeta = xb1 p = pbigame;
run;
proc genmod data = dolphin;
model fish6 = mean6 yearfish boatown charter ffdays2 hrsf wave3 wave4 wave5  / dist = nb;
output out = pred6 xbeta = xb6 p = pall;
run;
proc genmod data = pred6;
model fish11 = mean11 yearfish boatown charter ffdays2 hrsf wave3 wave4 wave5  / dist = nb;
output out = pred11 xbeta = xb11 p = pbig;
run;
proc genmod data = pred11;
model fish12 = mean12 yearfish boatown charter ffdays2 hrsf wave3 wave4 wave5  / dist = nb;
output out = pred12 xbeta = xb12 p = psmall;
run;


data pred2; set pred12;
array hcrx{34} hcr1-hcr34;
array hcrbigx{34} hcrbig1-hcrbig34;
array hcrsmallx{34} hcrsmall1-hcrsmall34;
array pallx{34} pall1-pall34;
array pbigx{34} pbig1-pbig34;
array psmallx{34} psmall1-psmall34;
array tcx{34} tc1-tc34;
array tcfeex{34} tcfee1-tcfee34;
array ttx{34} tt1-tt34;
array dx{34} d1-d34;
/* charter/head */
do i = 1 to 8;
pbigx{i} = exp(xb11 -   2.65*(mean11 - hcrbigx{i}) -  .25*(1-charter));
psmallx{i} = exp(xb12 -   3.82*(mean12 - hcrsmallx{i}) -  .1*(1-charter)); 
end;
/* private/rental */
do i = 9 to 18;
pbigx{i} = exp(xb11 -  2.65*(mean11 - hcrbigx{i}) -  .25*charter);
psmallx{i} = exp(xb12 - 3.82*(mean12 - hcrsmallx{i}) -  .1*charter); 
end;
do i = 19 to 34;
pallx{i} = 0;
pbigx{i} = 0;
psmallx{i} = 0;
end;
exp_xb = exp(xb);

if income2 = . then income2 = 0;
if income2 ne . then misswork=1; else misswork=0;
do i = 1 to 34;
if dx{i} lt 1 then dx{i} = 1;
end;
do i = 1 to 8;
tcfeex{i} = 107.06+round((dx{i}*2*.3)+(misswork*(income2/2080)*(dx{i}*2)/40),.01);
end;
do i = 19 to 23;
tcfeex{i} = 107.06+round((dx{i}*2*.3)+(misswork*(income2/2080)*(dx{i}*2)/40),.01);
end;
do i = 9 to 18;
tcfeex{i} = round((dx{i}*2*.3)+(misswork*(income2/2080)*(dx{i}*2)/40),.01);
end;
do i = 24 to 34;
tcfeex{i} = round((dx{i}*2*.3)+(misswork*(income2/2080)*(dx{i}*2)/40),.01);
end;
do i = 1 to 34;
tcx{i} = round((dx{i}*2*.3)+(misswork*(income2/2080)*(dx{i}*2)/40),.01);
end;
array feex{34} fee1-fee34;
do i = 1 to 8;
feex{i} = 107.06;
end;
do i = 19 to 23;
feex{i} = 107.06;
end;
do i = 8 to 18;
feex{i} = 0;
end;
do i = 24 to 32;
feex{i} = 0;
end;
array zzz{18} zz1-zz18;
do i = 1 to 18;
if pbigx{i} < psmallx{i} then zzz{i} = 1;
end;
proc means data = pred2;
var hcrbigame1-hcrbigame34 pall1-pall34 pbig1-pbig34 psmall1-psmall34 tc1-tc34 tcfee1-tcfee34 y1-y34;
run;
/* transpose the data */
proc sort; by id_code;
proc transpose data=pred2 out=y prefix=y;
var y1-y34;
by id_code;
proc transpose data=pred2 out=nsite prefix=nsite;
var nsite1-nsite34;
by id_code;
proc transpose data=pred2 out=tc prefix=tc;
var tc1-tc34;
by id_code;
proc transpose data=pred2 out=hcr prefix=hcr;
var hcr1-hcr34;
by id_code;
run;
proc transpose data=pred2 out=pall prefix=pall;
var pall1-pall34;
by id_code;
run;
proc transpose data=pred2 out=pbig prefix=pbig;
var pbig1-pbig34;
by id_code;
run;
proc transpose data=pred2 out=psmall prefix=psmall;
var psmall1-psmall34;
by id_code;
run;
proc transpose data=pred2 out=site prefix=site;
var site1-site34;
by id_code;
run;
proc transpose data=pred2 out=tcfee prefix=tcfee;
var tcfee1-tcfee34;
by id_code;
run;
proc transpose data=pred2 out=fee prefix=fee;
var fee1-fee34;
by id_code;
run;

proc transpose data=pred2 out=bigame prefix=bigame;
var hcrbigame1-hcrbigame34;
by id_code;
run;

proc transpose data=pred2 out=hcrbig prefix=hcrbig;
var hcrbig1-hcrbig34;
by id_code;
run;
proc transpose data=pred2 out=hcrsmall prefix=hcrsmall;
var hcrsmall1-hcrsmall34;
by id_code;
run;

data dolphin2;
merge y tc nsite pall pbig psmall hcr site tcfee fee bigame hcrbig hcrsmall;
by id_code;
y = y1;
tc = tc1;
tcfee = tcfee1;
lognsite = log(nsite1);
hcr = hcr1;
pall = pall1;
pbig = pbig1;
psmall = psmall1;
site = site1;
fee = fee1;
bigame = bigame1;
hcrbig = hcrbig1;
hcrsmall = hcrsmall1;
id = id_code+0;
proc sort; by id;
run;
data fivevar; set pred2 (keep = id_code hrsf ffdays2 yearfish boatown);
id = id_code+0;
proc sort; by id;
proc means;
run;
data marfin.dolphin3;
merge dolphin2 (keep=id id_code tc lognsite y hcr pall pbig psmall site tcfee fee 
bigame hcrbig hcrsmall nsite1) fivevar;
by id;
if site le 8 then nest = 1;
if site ge 9 and site le 18 then nest = 2;
if site ge 19 then nest = 3;
pbigsq = pbig**.5;
psmallsq = psmall**.5;
bigamesq = bigame**.5;
pbig2 = pbig**2;
psmall2 = psmall**2;
bigame2 = bigame**2;
proc freq;
tables nest site;
run;
proc sort data = marfin.dolphin3; by nest;
proc means data = marfin.dolphin3;
var y tcfee pbig psmall bigame nsite1 site;
by nest;
run;
proc sort; by id site;

proc freq;
tables site;
run;
proc means data = marfin.dolphin3;
run;

/* linear conditional logit */
proc mdc data=marfin.dolphin3 type = clogit;
model y = tcfee pbig psmall bigame lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34);
id id;
run;

/* linear nested logit */
proc mdc data=marfin.dolphin3 type = nlogit outest=beta1;
model y = tcfee pbig psmall bigame lognsite /  samescale 
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34);
id id;
utility u(1, ) = tcfee pbig psmall bigame lognsite;
nest level(1) = (1 2 3 4 5 6 7 8 @ 1, 9 10 11 12 13 14 15 16 17 18 @ 2,
                 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 @ 3), 
     level(2) = (1 2 3 @ 1);
run;



/* square root conditional logit */
proc mdc data=marfin.dolphin3 type = clogit;
model y = tcfee pbigsq psmallsq bigamesq lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34);
id id;
run;

/* quadratic conditional logit */
proc mdc data=marfin.dolphin3 type = clogit;
model y = tcfee pbig psmall bigame pbig2 psmall2 bigame2 lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34);
id id;
run;

/* square root nested logit */
proc mdc data=marfin.dolphin3 type = nlogit outest=beta1;
model y = tcfee pbigsq psmallsq bigamesq lognsite /  samescale 
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34);
id id;
utility u(1, ) = tcfee pbigsq psmallsq bigamesq lognsite;
nest level(1) = (1 2 3 4 5 6 7 8 @ 1, 9 10 11 12 13 14 15 16 17 18 @ 2,
                 19 20 21 22 23 @ 3, 24 25 26 27 28 29 30 31 32 33 34 @ 4), 
     level(2) = (1 2 3 4 @ 1);
run;

/* quadratic nested logit */
proc mdc data=marfin.dolphin3 type = nlogit outest=beta1;
model y = tcfee pbig psmall bigame pbig2 psmall2 bigame2 lognsite /  samescale 
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34);
id id;
utility u(1, ) = tcfee pbig psmall bigame pbig2 psmall2 bigame2 lognsite;
nest level(1) = (1 2 3 4 5 6 7 8 @ 1, 9 10 11 12 13 14 15 16 17 18 @ 2,
                 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 @ 3), 
     level(2) = (1 2 3 4 @ 1);
run;


data limdep; 
set marfin.dolphin3 (keep = id lognsite y pbig psmall 
tcfee bigame ffdays2 boatown yearfish hrsf site);
run;

/*
data marfin.dolphin4; set dolphin (keep = id_code shore charter private gulf wave3 wave4 wave5 wave6 target 
mean1 mean6 mean11 mean12 LONGTRIP NOPAY HRS_WEEK INCOME FISHTRIP YEARFISH addon income2 
boatown prim1tar prim2tar stcnty zone zone2 homezip2 fish1 fish6 fish11 fish12 YEAR REG_RES 
ST_RES CNTY_RES TIME ST CNTY INTSITE GEAR FFDAYS12 FFDAYS2 CNTRBTRS NUM_TYP2 NUM_TYP6 SUB_REG 
WAVE SEP_FISH CATCH F_BY_P mode prim1dot party oyster);
proc means maxdec=2 n mean std;
run;

data dolphin89; set dolphin;
proc contents;
run;

*/


