libname grouper 'c:\data\MRFSS\MARFIN\catch\grouper';
data temp1; set grouper.addon2000;
if mode = 2 then charter = 1; else charter = 0;
if wave = 3 then wave3 = 1; else wave3 = 0;
if wave = 4 then wave4 = 1; else wave4 = 0;
if wave = 5 then wave5 = 1; else wave5 = 0;
if wave = 6 then wave6 = 1; else wave6 = 0;
libname sag2000 'C:\DATA\MRFSS\sag2000';
lnhrsf = log(hrsf);
data temp2; set sag2000.nsites;
addon=1;
data temp3; set grouper.hcr_trans;
addon=1;
data grouper; merge temp1 temp2 temp3; by addon;
prim1tar=prim1dot;
proc sort; by prim1dot;
run;

libname mrfss 'c:\data\MRFSS';
data names; set mrfss.fishname;
proc sort; by prim1tar;
data grouper.grouper2; merge grouper names; by prim1tar;
if dist1 ne .;
dmin = min(dist1,dist2,dist3,dist6,dist7,dist8,dist10,dist12,dist15,dist16,
dist18,dist19,dist20,dist22,dist24,dist26,dist27,dist30,dist31,
dist32,dist34,dist42,dist43,dist46,dist50,dist51,dist53,dist54);
if dmin gt 200 then delete; /* n = 31 */
/*
proc sort; by target;
proc freq;
tables st zone2 target wave mode;
run;
proc sort; by st;
proc freq;
tables zone2 cnty / norow nopercent nocol;
by st;
run;
proc freq;
tables prim1nam;
by target;
run;
*/

/* determine the choice set by mode */
/*
proc freq;
tables zone2*mode zone2*target mode*zone2*target / norow nocol nopercent;
run;
*/
if mode = 2 then do;
if target = 1 then do;
if zone2 = 1 then y1 = 1;
if zone2 = 2 then y2 = 1;
if zone2 = 3 then y3 = 1;
if zone2 = 22 then y4 = 1; 
if zone2 = 27 then y5 = 1;
if zone2 = 43 then y6 = 1;
end;
if target = 2 then do;
if zone2 = 1 then y7 = 1;
if zone2 = 2 then y8 = 1;
if zone2 = 3 then y9 = 1;
if zone2 = 7 then y10 = 1;
if zone2 = 8 then y11 = 1;
if zone2 = 15 then y12 = 1; 
if zone2 = 18 then y13 = 1;
if zone2 = 19 then y14 = 1;
if zone2 = 27 then y15 = 1;
if zone2 = 31 then y16 = 1;
if zone2 = 32 then y17 = 1;
if zone2 = 34 then y18 = 1;
end;
if target = 3 then do;
if zone2 = 1 then y19 = 1;
if zone2 = 2 then y20 = 1;
if zone2 = 3 then y21 = 1; 
if zone2 = 12 then y22 = 1;
if zone2 = 24 then y23 = 1;
if zone2 = 34 then y24 = 1;
if zone2 = 43 then y25 = 1; 
if zone2 = 46 then y26 = 1;
if zone2 = 53 then y27 = 1;
end;
end;
if mode = 3 then do;
if target = 1 then do;
if zone2 = 1 then y28 = 1;
if zone2 = 2 then y29 = 1;
if zone2 = 6 then y30 = 1;
if zone2 = 7 then y31 = 1;
if zone2 = 8 then y32 = 1;
if zone2 = 15 then y33 = 1; 
if zone2 = 16 then y34 = 1;
if zone2 = 18 then y35 = 1;
if zone2 = 20 then y36 = 1;
if zone2 = 26 then y37 = 1;
if zone2 = 27 then y38 = 1;
if zone2 = 30 then y39 = 1;
if zone2 = 31 then y40 = 1;
if zone2 = 32 then y41 = 1;
if zone2 = 34 then y42 = 1;
if zone2 = 53 then y43 = 1;
end;
if target = 2 then do;
if zone2 = 2 then y44 = 1;
if zone2 = 6 then y45 = 1;
if zone2 = 7 then y46 = 1;
if zone2 = 8 then y47 = 1;
if zone2 = 10 then y48 = 1;
if zone2 = 12 then y49 = 1; 
if zone2 = 14 then y50 = 1;
if zone2 = 15 then y51 = 1;
if zone2 = 16 then y52 = 1;
if zone2 = 18 then y53 = 1;
if zone2 = 19 then y54 = 1;
if zone2 = 20 then y55 = 1;
if zone2 = 26 then y56 = 1;
if zone2 = 27 then y57 = 1;
if zone2 = 30 then y58 = 1;
if zone2 = 31 then y59 = 1; 
if zone2 = 32 then y60 = 1;
if zone2 = 34 then y61 = 1;
end;
if target = 3 then do;
if zone2 = 1 then y62 = 1;
if zone2 = 2 then y63 = 1;
if zone2 = 12 then y64 = 1;
if zone2 = 16 then y65 = 1;
if zone2 = 30 then y66 = 1;
if zone2 = 42 then y67 = 1; 
if zone2 = 43 then y68 = 1;
if zone2 = 46 then y69 = 1;
if zone2 = 51 then y70 = 1;
if zone2 = 53 then y71 = 1;
end;
end;
sum21= sum(y1,y2,y3,y4,y5,y6);
sum22 = sum(y7,y8,y9,y10,y11,y12,y13,y14,y15,y16,y17,y18);
sum23= sum(y19,y20,y21,y22,y23,y24,y25,y26,y27);
sum31=sum(y28,y29,y30,y31,y32,y33,y34,y35,y36,y37,y38,y39,y40,y41,y42,y43);
sum32 = sum(y44,y45,y46,y47,y48,y49,y50,y51,y52,y53,y54,y55,y56,y57,y58,y59,y60,y61);
sum33 = sum(y62,y63,y64,y65,y66,y67,y68,y69,y70,y71);
/*
proc freq;
tables sum21-sum23 sum31-sum33;
run;
*/
array yx{71} y1-y71;
do i = 1 to 71;
if yx{i} = . then yx{i} = 0;
end;
/*
proc means;
var y1-y34 sum1 sum6;
proc freq;
tables zone2*target / norow nocol nopercent;
run;
*/
d1 = dist1;
d2 = dist2;
d3 = dist3;
d4 = dist22;
d5 = dist27;
d6 = dist43;
d7 = dist1;
d8 = dist2;
d9 = dist3;
d10 = dist7;
d11 = dist8;
d12 = dist15;
d13 = dist18;
d14 = dist19;
d15 = dist27;
d16 = dist31;
d17 = dist32;
d18 = dist34;
d19 = dist1;
d20 = dist2;
d21 = dist3;
d22 = dist12;
d23 = dist24;
d24 = dist34;
d25 = dist43;
d26 = dist46;
d27 = dist53;
d28 = dist1;
d29 = dist2;
d30 = dist6;
d31 = dist7;
d32 = dist8;
d33 = dist15;
d34 = dist16;
d35 = dist18;
d36 = dist20;
d37 = dist26;
d38 = dist27;
d39 = dist30;
d40 = dist31;
d41 = dist32;
d42 = dist34;
d43 = dist53;
d44 = dist2;
d45 = dist6;
d46 = dist7;
d47 = dist8;
d48 = dist10;
d49 = dist12;
d50 = dist14;
d51 = dist15;
d52 = dist16;
d53 = dist18;
d54 = dist19;
d55 = dist20;
d56 = dist26;
d57 = dist27;
d58 = dist30;
d59 = dist31;
d60 = dist32;
d61 = dist34;
d62 = dist1;
d63 = dist2;
d64 = dist12;
d65 = dist16;
d66 = dist30;
d67 = dist42;
d68 = dist43;
d69 = dist46;
d70 = dist51;
d71 = dist53;
n1 = nsite1;
n2 = nsite2;
n3 = nsite3;
n4 = nsite22;
n5 = nsite27;
n6 = nsite43;
n7 = nsite1;
n8 = nsite2;
n9 = nsite3;
n10 = nsite7;
n11 = nsite8;
n12 = nsite15;
n13 = nsite18;
n14 = nsite19;
n15 = nsite27;
n16 = nsite31;
n17 = nsite32;
n18 = nsite34;
n19 = nsite1;
n20 = nsite2;
n21 = nsite3;
n22 = nsite12;
n23 = nsite24;
n24 = nsite34;
n25 = nsite43;
n26 = nsite46;
n27 = nsite53;
n28 = nsite1;
n29 = nsite2;
n30 = nsite6;
n31 = nsite7;
n32 = nsite8;
n33 = nsite15;
n34 = nsite16;
n35 = nsite18;
n36 = nsite20;
n37 = nsite26;
n38 = nsite27;
n39 = nsite30;
n40 = nsite31;
n41 = nsite32;
n42 = nsite34;
n43 = nsite53;
n44 = nsite2;
n45 = nsite6;
n46 = nsite7;
n47 = nsite8;
n48 = nsite10;
n49 = nsite12;
n50 = nsite14;
n51 = nsite15;
n52 = nsite16;
n53 = nsite18;
n54 = nsite19;
n55 = nsite20;
n56 = nsite26;
n57 = nsite27;
n58 = nsite30;
n59 = nsite31;
n60 = nsite32;
n61 = nsite34;
n62 = nsite1;
n63 = nsite2;
n64 = nsite12;
n65 = nsite16;
n66 = nsite30;
n67 = nsite42;
n68 = nsite43;
n69 = nsite46;
n70 = nsite51;
n71 = nsite53;
site1 = 1;
site2 = 2;
site3 = 3;
site4 = 4;
site5 = 5;
site6 = 6;
site7 = 7;
site8 = 8;
site9 = 9;
site10 = 10;
site11 = 11;
site12 = 12;
site13 = 13;
site14 = 14;
site15 = 15;
site16 = 16;
site17 = 17;
site18 = 18;
site19 = 19;
site20 = 20;
site21 = 21;
site22 = 22;
site23 = 23;
site24 = 24;
site25 = 25;
site26 = 26;
site27 = 27;
site28 = 28;
site29 = 29;
site30 = 30;
site31 = 31; 
site32 = 32;
site33 = 33;
site34 = 34;
site35 = 35;
site36 = 36;
site37 = 37;
site38 = 38;
site39 = 39;
site40 = 40;
site41 = 41;
site42 = 42;
site43 = 43;
site44 = 44;
site45 = 45;
site46 = 46;
site47 = 47;
site48 = 48;
site49 = 49;
site50 = 50;
site51 = 51;
site52 = 52;
site53 = 53;
site54 = 54;
site55 = 55;
site56 = 56;
site57 = 57;
site58 = 58;
site59 = 59;
site60 = 60;
site61 = 61;
site62 = 62;
site63 = 63;
site64 = 64;
site65 = 65; 
site66 = 66;
site67 = 67;
site68 = 68;
site69 = 69;
site70 = 70;
site71 = 71;
/* define targeted catch rates */
/* replace distance with hcrtarget_mode_zone2 */
/* catch rates are messed up!!!!! */
if target = 1 and mode = 2 then do;
snap1 = hcr1_2_1;
snap2 = hcr1_2_2;
snap3 = hcr1_2_3;
snap4 = hcr1_2_22;
snap5 = hcr1_2_27;
snap6 = hcr1_2_43;
end;
if target = 2 and mode = 2 then do;
bgroup7 = hcr2_2_1;
bgroup8 = hcr2_2_2;
bgroup9 = hcr2_2_3;
bgroup10 = hcr2_2_7;
bgroup11 = hcr2_2_8;
bgroup12 = hcr2_2_15;
bgroup13 = hcr2_2_18;
bgroup14 = hcr2_2_19;
bgroup15 = hcr2_2_27;
bgroup16 = hcr2_2_31;
bgroup17 = hcr2_2_32;
bgroup18 = hcr2_2_34;
group7 = hcr4_2_1;
group8 = hcr4_2_2;
group9 = hcr4_2_3;
group10 = hcr4_2_7;
group11 = hcr4_2_8;
group12 = hcr4_2_15;
group13 = hcr4_2_18;
group14 = hcr4_2_19;
group15 = hcr4_2_27;
group16 = hcr4_2_31;
group17 = hcr4_2_32;
group18 = hcr4_2_34;
end;
if target = 3 and mode = 2 then do;
bred19 = hcr3_2_1;
bred20 = hcr3_2_2;
bred21 = hcr3_2_3;
bred22 = hcr3_2_12;
bred23 = hcr3_2_24;
bred24 = hcr3_2_34;
bred25 = hcr3_2_43;
bred26 = hcr3_2_46;
bred27 = hcr3_2_53;
red19 = hcr5_2_1;
red20 = hcr5_2_2;
red21 = hcr5_2_3;
red22 = hcr5_2_12;
red23 = hcr5_2_24;
red24 = hcr5_2_34;
red25 = hcr5_2_43;
red26 = hcr5_2_46;
red27 = hcr5_2_53;
end;
if target = 1 and mode = 3 then do;
snap28 = hcr1_3_1;
snap29 = hcr1_3_2;
snap30 = hcr1_3_6;
snap31 = hcr1_3_7;
snap32 = hcr1_3_8;
snap33 = hcr1_3_15;
snap34 = hcr1_3_16;
snap35 = hcr1_3_18;
snap36 = hcr1_3_20;
snap37 = hcr1_3_26;
snap38 = hcr1_3_27;
snap39 = hcr1_3_30;
snap40 = hcr1_3_31;
snap41 = hcr1_3_32;
snap42 = hcr1_3_34;
snap43 = hcr1_3_53;
end;
if target = 2 and mode = 3 then do;
bgroup44 = hcr2_3_2;
bgroup45 = hcr2_3_6;
bgroup46 = hcr2_3_7;
bgroup47 = hcr2_3_8;
bgroup48 = hcr2_3_10;
bgroup49 = hcr2_3_12;
bgroup50 = hcr2_3_14;
bgroup51 = hcr2_3_15;
bgroup52 = hcr2_3_16;
bgroup53 = hcr2_3_18;
bgroup54 = hcr2_3_19;
bgroup55 = hcr2_3_20;
bgroup56 = hcr2_3_26;
bgroup57 = hcr2_3_27;
bgroup58 = hcr2_3_30;
bgroup59 = hcr2_3_31;
bgroup60 = hcr2_3_32;
bgroup61 = hcr2_3_34;
group44 = hcr4_3_2;
group45 = hcr4_3_6;
group46 = hcr4_3_7;
group47 = hcr4_3_8;
group48 = hcr4_3_10;
group49 = hcr4_3_12;
group50 = hcr4_3_14;
group51 = hcr4_3_15;
group52 = hcr4_3_16;
group53 = hcr4_3_18;
group54 = hcr4_3_19;
group55 = hcr4_3_20;
group56 = hcr4_3_26;
group57 = hcr4_3_27;
group58 = hcr4_3_30;
group59 = hcr4_3_31;
group60 = hcr4_3_32;
group61 = hcr4_3_34;
end;
if target = 3 and mode = 3 then do;
bred62 = hcr3_3_1;
bred63 = hcr3_3_2;
bred64 = hcr3_3_12;
bred65 = hcr3_3_16;
bred66 = hcr3_3_30;
bred67 = hcr3_3_42;
bred68 = hcr3_3_43;
bred69 = hcr3_3_46;
bred70 = hcr3_3_51;
bred71 = hcr3_3_53;
red62 = hcr5_3_1;
red63 = hcr5_3_2;
red64 = hcr5_3_12;
red65 = hcr5_3_16;
red66 = hcr5_3_30;
red67 = hcr5_3_42;
red68 = hcr5_3_43;
red69 = hcr5_3_46;
red70 = hcr5_3_51;
red71 = hcr5_3_53;
end;


array snapper{71} snap1-snap71;
array bgrouper{71} bgroup1-bgroup71;
array bredsnapper{71} bred1-bred71;
array grouper{71} group1-group71;
array redsnapper{71} red1-red71;
do i = 1 to 71;
if snapper{i} = . then snapper{i} = 0;
if bgrouper{i} = . then bgrouper{i} = 0;
if bredsnapper{i} = . then bredsnapper{i} = 0;
if grouper{i} = . then grouper{i} = 0;
if redsnapper{i} = . then redsnapper{i} = 0;
end;
array tcx{71} tc1-tc71;
array tcfeex{71} tcfee1-tcfee71;
array feex{71} fee1-fee71;
array ttx{71} tt1-tt71;
array dx{71} d1-d71;
if income2 = . then income2 = 0;
if income2 ne . then misswork=1; else misswork=0;
do i = 1 to 71;
if dx{i} lt 1 then dx{i} = 1;
end;
do i = 1 to 27;
tcfeex{i} = 107.06+round((dx{i}*2*.3)+(misswork*(income2/2080)*(dx{i}*2)/40),.01);
end;
do i = 28 to 71;
tcfeex{i} = round((dx{i}*2*.3)+(misswork*(income2/2080)*(dx{i}*2)/40),.01);
end;
do i = 1 to 71;
tcx{i} = round((dx{i}*2*.3)+(misswork*(income2/2080)*(dx{i}*2)/40),.01);
end;

do i = 1 to 27;
feex{i} = 107.06;
end;
do i = 28 to 71;
feex{i} = 0;
end;
proc sort; by wave;
proc means;
var fish5;
by wave;
run;
proc means;
proc genmod;
model fish1 = mean1 yearfish boatown charter ffdays2 hrsf wave4 wave5 wave6;
run;
proc genmod;
model fish4 = mean4 yearfish boatown charter ffdays2 hrsf wave4 wave5 wave6  / dist = nb;
run;
proc genmod;
model fish5 = mean5 yearfish boatown charter ffdays2 hrsf wave4 wave5  / dist = nb;
run;
proc means;
var tc1-tc71 tcfee1-tcfee71 fee1-fee71 y1-y71;
run;
proc means maxdec=2;
var BOATown
CNTRBTRS
FFDAYS12
FFDAYS2
fish1
fish2
fish3
HRS_WEEK
HRSF
NOPAY
OYSTER
PARTY
WAVE3-wave6
YEARFISH;
run;
proc sort; by target;
proc means n mean std maxdec=2;
var yearfish boatown charter ffdays2 gulf hrsf;
by target;
run;
proc freq;
tables st*target / norow nopercent;
run;
/* transpose the data */
data tempx; set grouper.grouper2;
proc sort; by id_code;
proc transpose data=tempx out=y prefix=y;
var y1-y71;
by id_code;
proc transpose data=tempx out=nsite prefix=nsite;
var n1-n71;
by id_code;
proc transpose data=tempx out=tc prefix=tc;
var tc1-tc71;
by id_code;
proc transpose data=tempx out=snapper prefix=snapper;
var snap1-snap71;
by id_code;
run;
proc transpose data=tempx out=bgrouper prefix=bgrouper;
var bgroup1-bgroup71;
by id_code;
run;
proc transpose data=tempx out=bredsnapper prefix=bredsnapper;
var bred1-bred71;
by id_code;
run;
proc transpose data=tempx out=grouper prefix=grouper;
var group1-group71;
by id_code;
run;
proc transpose data=tempx out=redsnapper prefix=redsnapper;
var red1-red71;
by id_code;
run;
proc transpose data=tempx out=site prefix=site;
var site1-site71;
by id_code;
run;
proc transpose data=tempx out=tcfee prefix=tcfee;
var tcfee1-tcfee71;
by id_code;
run;
proc transpose data=tempx out=fee prefix=fee;
var fee1-fee71;
by id_code;
run;

data season; set grouper2 (keep = id_code wave3);
proc sort; by id_code;
data char; set temp1 (keep = id_code YEARFISH DIST FFDAYS2 FFDAYS12 BOATOWN hrsf);
proc means;
run;
proc sort; by id_code;
data grouper3;
merge y tc nsite snapper bgrouper bredsnapper grouper redsnapper site tcfee fee char;
by id_code;
y = y1;
tc = tc1;
tcfee = tcfee1;
lognsite = log(nsite1);
snapper = snapper1;
bgrouper = bgrouper1;
bredsnapper = bredsnapper1;
grouper = grouper1;
redsnapper = redsnapper1;
site = site1;
fee = fee1;
if snapper + bgrouper + bredsnapper + grouper + redsnapper = 0 then nocatch = 1;
else nocatch = 0;
if y1 ne .;
proc means;
run;
libname marfin 'c:\data\MRFSS\MARFIN';
data marfin.grouper3;
set grouper3 (keep=id_code tc lognsite y snapper bgrouper bredsnapper grouper redsnapper 
site tcfee fee nocatch nsite1 YEARFISH DIST FFDAYS2 FFDAYS12 BOAT hrsf);
id = id_code+0;
if site lt 28 then nest = 1; 
if site ge 28 then nest = 2;
id = id_code+0;
snappersq = snapper**.5;
groupersq = grouper**.5;
redsnappersq = redsnapper**.5;
snapper2 = snapper**2;
grouper2 = grouper**2;
redsnapper2 = redsnapper**2;
snap = snapper;
group = grouper;
redsnap = redsnapper;
data limdep; set marfin.grouper3 (keep=id tcfee lognsite y snap group redsnap 
site YEARFISH DIST FFDAYS2 FFDAYS12 BOAT hrsf);
proc contents;
run;

/*

bgroup2 = bgrouper**.5;
bred2 = bredsnapper**.5;
sgroup2 = sgrouper**.5;
sred2 = sredsnapper**.5;
red2 = (bredsnapper+sredsnapper)**.5;
group2 = (bgrouper+sgrouper)**.5;
*/

proc sort; by id site;
proc contents; run;
proc freq;
tables site;
run;
proc means;
var tcfee snapper redsnapper grouper lognsite;
run;

/* 2 linear models */
proc mdc data=marfin.grouper3 type = clogit;
model y = tcfee snapper grouper redsnapper lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71);
id id;
run;

proc mdc data=marfin.grouper3 type = mixedlogit;
model y = tcfee snapper grouper redsnapper lognsite / 
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71)
mixed=(normalparm=tcfee);
id id;
run;

model y = tcfee snapper grouper redsnapper lognsite / 
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71)
mixed=(normalparm=tcfee);
id id;
run;

proc mdc type=mixedlogit;
model y = expend price safe asc / choice = (x 1 2 3)
mixed = (normalparm = price);
id ques2;
run;

/* mode-site choice */
proc mdc data=marfin.grouper3 type = nlogit outest=beta1;
model y = tcfee snapper grouper redsnapper lognsite / samescale 
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71);
id id;
utility u(1, ) = tcfee snapper grouper redsnapper lognsite;
nest level(1) = (1 2 3 4 5 6
                 7 8 9 10 11 12 13 14 15 16 17 18
                 19 20 21 22 23 24 25 26 27 @ 1,
                 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 
                 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 
                 62 63 64 65 66 67 68 69 70 71 @ 2), 
     level(2) = (1 2 @ 1);
output out=probdata pred=p;
run;
proc means data = probdata;
var p;
run;
/* end 2 linear models */

/* square root of catch */
proc mdc data=marfin.grouper3 type = clogit;
model y = tcfee snappersq groupersq redsnappersq lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71);
id id;
run;

/* mode-site choice */
proc mdc data=marfin.grouper3 type = nlogit outest=beta1;
model y = tcfee snappersq groupersq redsnappersq lognsite / samescale 
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71);
id id;
utility u(1, ) = tcfee snappersq groupersq redsnappersq lognsite;
nest level(1) = (1 2 3 4 5 6
                 7 8 9 10 11 12 13 14 15 16 17 18
                 19 20 21 22 23 24 25 26 27 @ 1,
                 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 
                 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 
                 62 63 64 65 66 67 68 69 70 71 @ 2), 
     level(2) = (1 2 @ 1);
run;

proc mdc data=marfin.grouper3 type = nlogit outest=beta1;
model y = tcfee snapper grouper redsnapper snapper2 grouper2 redsnapper2  lognsite / samescale 
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71);
id id;
utility u(1, ) = tcfee snapper grouper redsnapper snapper2 grouper2 redsnapper2 lognsite;
nest level(1) = (1 2 3 4 5 6
                 7 8 9 10 11 12 13 14 15 16 17 18
                 19 20 21 22 23 24 25 26 27 @ 1,
                 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 
                 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 
                 62 63 64 65 66 67 68 69 70 71 @ 2), 
     level(2) = (1 2 @ 1);
run;


/* end square root of catch */

proc mdc data=marfin.grouper3 type = nlogit outest=beta1;
model y = tcfee snapper grouper redsnapper lognsite / samescale 
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71);
id id;
utility u(1, ) = tcfee snapper grouper redsnapper lognsite;
nest level(1) = (1 2 3 4 5 6 19 20 21 22 23 24 25 26 27 @ 1,
                 7 8 9 10 11 12 13 14 15 16 17 18 @ 2,
                 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 62 63 64 65 66 67 68 69 70 71 @ 3,
                 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 @ 4), 
     level(2) = (1 2 3 4 @ 1);
run;
